developers-reference (12.11) unstable; urgency=medium

  [ Grzegorz Szymaszek ]
  * Update .po files after GTK rename in 12.10.
  * resources: fix "The testing distribution" link label.
  * Update .po files after the "The testing distribution" link label fix.

 -- Holger Levsen <holger@debian.org>  Wed, 11 Jan 2023 09:51:31 +0100

developers-reference (12.10) unstable; urgency=medium

  [ Grzegorz Szymaszek ]
  * best-pkging-practices: rename GTK+ to GTK as per
    https://mail.gnome.org/archives/gtk-devel-list/2019-February/msg00000.html

  [ Holger Levsen ]
  * c/control: bump standards version to 4.6.2, no changes needed.
  * d/copyright and index.rst: bump my copyright years.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Jan 2023 17:43:06 +0100

developers-reference (12.9) unstable; urgency=medium

  * pkgs: fixup dcut syntax from last upload, thanks josch.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Nov 2022 23:07:18 +0100

developers-reference (12.8) unstable; urgency=medium

  [ Simon McVittie ]
  * pkgs: recommend source-only uploads when possible, and describe when they
    are not. Closes: #1015784

  [ Akbarkhon Variskhanov ]
  * resources: fix minor typo.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 14 Nov 2022 13:46:52 +0100

developers-reference (12.7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * pkgs.rst: document how to use dcut to cancel a DELAYED upload.

  [ Akbarkhon Variskhanov ]
  * pkgs.rst: improve `Closes: #XXXXXX` regex pattern.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Tue, 25 Oct 2022 14:55:20 +0200

developers-reference (12.6) unstable; urgency=medium

  * developer-duties: replace alioth with salsa. Closes: #1016752
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 06 Aug 2022 17:32:03 +0200

developers-reference (12.5) unstable; urgency=medium

  [ Antoine Beaupré ]
  * best-pkging-practices:
    - debian-policy 4.1.4 deprecated get-orig-source, mention that and
      alternatives.
    - move urgency delays into the urgency section, keep backref, expand.

  [ Holger Levsen ]
  * README.contributing: explain how to update translations after updates of
    English sources.
  * Update all .po files for changed strings in the English original.
  * d/control: bump standards version to 4.6.1.

 -- Holger Levsen <holger@debian.org>  Fri, 03 Jun 2022 18:06:52 +0200

developers-reference (12.4) unstable; urgency=medium

  [ Enrico Zini ]
  * pkgs: remove requirement that security uploads have urgency=high.
    Closes: #1010559

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 04 May 2022 13:55:02 +0200

developers-reference (12.3) unstable; urgency=medium

  [ Stephan Lachnit ]
  * beyond-pkging: add section for granting upload permissions to DMs.

  [ Christoph Berg ]
  * resources.rst: add pointer to https://github.com/Debian

  [ Geoffroy Youri Berret ]
  * Use distro-info instead of hardcoding version numbers. Closes: #930565

  [ Philippe SWARTVAGHER ]
  * fr/tools.po: fix formatting issues. Closes: #1005357

  [ Holger Levsen ]
  * beyond-pkging: improve section for granting upload permissions to DMs.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Apr 2022 15:01:11 +0200

developers-reference (12.2) unstable; urgency=medium

  [ xiao sheng wen ]
  * pkgs.rst: add one space between an URL and word.

  [ Holger Levsen ]
  * pkgs.rst and best-pkging-practices.rst: drop last two remaining examples
    mentioning dpatch and cdbs.
  * index.rst and d/copyright: update my copyright years.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 07 Jan 2022 13:30:40 +0100

developers-reference (12.1) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * best-pkging-practices and pkgs: Fix broken nested inline markup.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * d/control: add tex-gyre to Build-Depends-Indep to address ftbfs in sid.

 -- Holger Levsen <holger@debian.org>  Thu, 14 Oct 2021 15:11:49 +0200

developers-reference (12.0) unstable; urgency=medium

  [ Thomas Goirand ]
  * pkgs: document contributing to backports with the help from backports
    FTP masters. Closes: #793633

  [ Marco Villegas ]
  * best-pkging-practices: add a security related section. Closes: #337086
  * Fix some typos.

  [ Geoffroy Youri Berret ]
  * Fix typos in README.contributing.

  [ Daniel Shahaf ]
  * Fix typo in d/control.

  [ Philip Hands ]
  * Fix typo.

  [ Holger Levsen ]
  * Embrace bookworm. Simplify versioning.
  * Update all .po files for changed strings in the English original.
  * Update standards version to 4.6.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 02 Sep 2021 01:44:56 +0200

developers-reference (11.0.21) unstable; urgency=medium

  * best-pkging-practices: replace 'atter' with 'other', with thanks to
    Jeremy Bicha. Closes: #991291
  * pkgs: update releases used in examples for the time when bullseye is
    stable.
  * resources: update 'dak ls evince' example output.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Jul 2021 15:20:35 +0200

developers-reference (11.0.20) unstable; urgency=medium

  [ Judit Foglszinger ]
  * ressources: Remove freenode and move reference to cloaks to Debian wiki.
    Closes: #990054.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * Fix typo in previous d/changelog entry.

 -- Holger Levsen <holger@debian.org>  Fri, 18 Jun 2021 23:50:52 +0200

developers-reference (11.0.19) unstable; urgency=medium

  [ Tobias Wiese ]
  * Add lost spaces to parts that include literals. Closes: #987930.
    Thanks to Simon Josefsson for the bug report.

  [ Jean-Pierre Giraud ]
  * (fr) update locales/fr/LC_MESSAGES.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 05 May 2021 19:56:16 +0200

developers-reference (11.0.18) unstable; urgency=medium

  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 23:29:13 +0100

developers-reference (11.0.17) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * README.contributing: update-po requires sphinx-intl.
  * best-pkging-practices: Long descriptions may reuse paragraphs.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.
  * debian/copyright and index.rst: update my copyright years.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 22:45:57 +0100

developers-reference (11.0.16) unstable; urgency=medium

  * resources: add link to https://db.debian.org/forward.html. Closes: #942857.
  * Update all .po files for changed strings in the English original.
  * d/rules: remove cruft.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Oct 2020 14:02:30 +0200

developers-reference (11.0.15) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use dh_sphinxdoc instead of dh_linktree, to simplify the packaging.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 12:24:55 +0200

developers-reference (11.0.14) unstable; urgency=medium

  * debian: avoid code copies by using dh-linktree. Thanks to a snippet from
    src:debian-policy recommends (instead of depends) on sphinx packages are
    created.
  * d/copyright: switch to machine readable DEP5 format.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 00:55:46 +0200

developers-reference (11.0.13) unstable; urgency=medium

  * pkgs: clarify intended audience of d/changelog. Closes: #878967.
  * Update all .po files for changed strings in the English original.
  * d/rules and control: use symlinks instead of embedding libjs-jquery and
    libjs-underscore and thus add recommends to those packages. Thanks, lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 27 Jun 2020 17:52:17 +0200

developers-reference (11.0.12) unstable; urgency=medium

  [ Tobias Wiese ]
  * beyond-pkging: fix dead link to policy. Closes: #962011.

  [ Holger Levsen ]
  * d/copyright and index.rst: update copyright notices. Closes: #960926.
  * Update all .po files for changed strings in the English original.
  * Bump to debhelper-compat 13.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Jun 2020 02:10:56 +0200

developers-reference (11.0.11) unstable; urgency=medium

  [ Paul Wise ]
  * l10n.rst: replace ddtp2.debian.net with ddtp.debian.org.

  [ Jochen Sprickerhof ]
  * Fix build with Sphinx 2.4. Closes: #955094.
  * ressources.rst: fix Freenode FAQ links.

  [ Judit Foglszinger ]
  * pkgs.rst: add footnote clarifying removability of packages from the upload
    queue. Closes: #956818.

  [ Kentaro Hayashi ]
  * (ja) tools.po: resolve fuzzy in debiandoc-sgml.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Apr 2020 18:44:02 +0200

developers-reference (11.0.10) unstable; urgency=medium

  [ Carsten Schoenert ]
  * (de) index.po: Update translation.
  * (de) best-pkging-practices.po: Update translation.
  * (de) beyond-pkging.po: Update translation.
  * (de) developer-duties.po: Update translation.
  * (de) l10n.po: Update translation.
  * (de) new-maintainer.po: Update translation.
  * (de) pkgs.po: Update translation.
  * (de) scope.po: Update translation.
  * (de) tools.po: Update translation.
  * (de) resources.po: Update translation.

  [ Kentaro Hayashi ]
  * (ja) best-pkging-practices.po: resolve fuzzy.
  * (ja) developer-duties.po: resolve fuzzy.
  * (ja) l10n.po: fix fuzzy against missing l10n tag.
  * (ja) new-maintainer.po: resolve fuzzy
  * (ja) pkgs.po: resolve fuzzy.
  * (ja) resources.po: fix wrong translation about "testing", resolve fuzzy.

  [ Holger Levsen ]
  * d/control: set Homepage: to https://www.debian.org/doc/devel-manuals#devref

 -- Holger Levsen <holger@debian.org>  Thu, 26 Mar 2020 00:47:53 +0100

developers-reference (11.0.9) unstable; urgency=medium

  * pkgs: add a suggestion to comment a "wontfix". Closes: #484804.
  * pkgs: add section explaining uploads to stable-updates. Closes: #896013.
    Thanks to Adam D. Barratt for review and improvements.
  * Update all .po files for changed strings in the English original.
  * d/control: bump standards version to 4.5.0, no changes needed.
  * d/changelog:
    - wrap long lines in changelog entries: 3.2, 2.11, thanks to lintian-brush.
    - fix misspelling of Close => Closes, thanks to lintian-brush.

 -- Holger Levsen <holger@debian.org>  Thu, 20 Feb 2020 02:02:08 +0100

developers-reference (11.0.8) unstable; urgency=medium

  [ Philipp Kern ]
  * pkgs: Change the email address of the non-free review team.

  [ Leo Singer ]
  * best-pkging-practices: Small typo fix.

  [ Holger Levsen ]
  * resources: correct misleading text about freezes. Closes: #945906
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 09 Jan 2020 14:56:00 +0100

developers-reference (11.0.7) unstable; urgency=medium

  * best-pkging-practices: recommend "command -v" instead of "which"
    (Closes: #904246) and simplify paragraph.
  * pkgs: RMs may encourage (not allow) less delayed NMUs.
  * l10n: minor update and language improvements. Closes: #623707
  * tools: deprecate debiandoc-sgml further, mention python3-spinx as an
    alternative.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Nov 2019 11:33:47 +0100

developers-reference (11.0.6) unstable; urgency=medium

  * pkgs.rst: point out that the tech-ctte prefers fresh bug reports with a
    summary. Closes: #484805.
  * best-pkging-practices.rst: improve paragraph about dummy transitional
    packages. Closes: #703612.
  * Update all .po files for changed strings in the English original.
  * d/control: improve descriptions to include Debian Maintainers as audience
    of the package.
  * README.contributing:
    - drop sentences obsoleted by the fix for #754189.
    - add paragraph about 'Git commit messages and d/changelog entries'.
    - mention debcheckout as a means to get the git source.
    - re-order paragraphs.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Oct 2019 20:13:16 +0100

developers-reference (11.0.5) unstable; urgency=medium

  * developer-duties.rst: add a reminder to retire from teams.
    Closes: #548116. Thanks to Judit Foglszinger for the wording.
  * pkgs.rst: add a note explaining that RMs should be asked before uploading
    to t-p-u. Closes: #541956
  * best-pkging-practices.rst:
    - repacked tarballs may have any directory name inside, but it's best to
      reflect the tarball name. Closes: #470960
    - repacked tarballs are best compressed with xz.
  * l10n.rst: explain to use both 'patch' and 'l10n' tags for l10n bugs.
    Closes: #483235.
  * tools.rst: mention many more packages: adequate, blhc, debian-policy,
    developers-reference, diffoscope, doc-debian, duck, how-can-i-help,
    i18nspector, libconfig-model-dpkg-perl, licensecheck, lintian-brush,
    maint-guide, packaging-tutorial, piuparts, reportbug & suspicious-source.
    Closes: #540248, #750993, #941274.
  * d/developers-reference.png: scale to 64x64 to avoid AppStream hint.
  * README.contributing: describe change handling for src:developers-reference.
    Closes: #754189. Thanks to Lucas Nussbaum.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 10 Oct 2019 10:45:23 +0200

developers-reference (11.0.4) unstable; urgency=medium

  * pkgs.rst:
    - improve documentation for (old)stable updates. Closes: #931743.
    - suggest to think about the testing suite before uploading.
      Closes: #731666 - Thanks to Peter Green for the wording.
    - clarify to install and test on unstable. Closes: #550283.
    - mention piuparts can be used for tests before uploads.
  * Makefile:
    - add hint what commit msg to use when updating translations.
    - add new target to show the translation status.
  * README.contributing: explain new status target.
  * d/control:
    - drop Lucas Nussbaum from uploaders. Thanks for all your work, Lucas!
    - bump standards version to 4.4.1, no changes needed.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2019 09:54:32 +0200

developers-reference (11.0.3) unstable; urgency=medium

  [ Judit Foglszinger ]
  * developer-duties.rst: describe new process for emeritus. Closes: #884857.

  [ Ansgar ]
  * Update most remaining links to use https:// instead of http://
  * resources.rst:
    - use deb.d.o for experimental sources.list entry.
    - do not suggest that mirrors are FTP servers
  * best-pkging-practices.rst: update references to svn.d.o to use salsa.d.o
    instead.
  * pkgs.rst: update links to release team resources.
  * new-maintainer.rst:
    - drop footnote about version 4 OpenPGP keys.
    - new-maintainer.rst: replace some occurrences of GnuPG with OpenPGP.

  [ Osamu Aoki ]
  * Trim tailing whitespaces in several places.

  [ Thomas Vincent ]
  * Small typo fix in French translation.

 -- Holger Levsen <holger@debian.org>  Fri, 27 Sep 2019 16:29:14 +0100

developers-reference (11.0.2) unstable; urgency=medium

  [ Osamu Aoki ]
  * Fix missing opening pages. Closes: #934526.
  * Fix title of PDF for English.
  * Makefile: use UTC to fix reproducibility issues.
  * More flexible build script.
  * Run" make update-po".
  * deleted: debian/TODO.packaging.

 -- Holger Levsen <holger@debian.org>  Fri, 16 Aug 2019 16:32:13 +0200

developers-reference (11.0.1) unstable; urgency=medium

  [ Holger Levsen ]
  * Increment version number to celebrate the switch to ReST and the beginning
    of the Debian 11 development cycle.

  [ Osamu Aoki ]
  * Reorganize upstream build script removing debian/* data dependency while
    addressing SOURCE_DATE_EPOCH issue inspired by Lars Kruse (many thanks!).
  * Also improve Debian packaging.
  * Add language menu.
  * Add pull-down language selection menu.
  * List appendixes in ToC.
  * Gnome desktop icon.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Aug 2019 18:41:03 +0200

developers-reference (3.4.26) unstable; urgency=medium

  * Merge work by Osamu Aoki to migrate to Sphinx. Closes: #931548.
    After 22 years of the Debian Developers Reference being maintained as an
    SGML document, the sources are now maintained as ReStructuredText, while
    the translations remain .po files.
    Please note that this is work in progress and that there will be bugs.
    Please do file them, with or without patches.
    Big kudos and many thanks to Osamu Aoki for doing most of the work on
    this. Obviously also many thanks to everyone else involved, both upstream
    and in Debian!
  * Adjust build-depends and d/rules and README.contributing as needed.
  * Bump standards version to 4.4.0, no changes needed.
  * Update to debhelper-compat 12.

 -- Holger Levsen <holger@debian.org>  Mon, 29 Jul 2019 23:23:41 -0300

developers-reference (3.4.25) unstable; urgency=medium

  * common.ent:
    - nexttesting will be version 11. Closes: #930553. Thanks to Osamu Aoki
      for noticing.
    - actually define all codenames and release version numbers as if buster
      were already released, so that they will be correct during buster's
      lifetime.
    - we have around 30000 source packages now. To be exact, 29686 are in
      sid/main today.

 -- Holger Levsen <holger@debian.org>  Sat, 15 Jun 2019 21:02:04 +0200

developers-reference (3.4.24) unstable; urgency=medium

  * tools.dbk:
    - clarify how to properly choose the debhelper compatibility
      level. Thanks to Roberto C. Sanchez for the patch. Closes: #466423.
    - also explain to best use a depends like debhelper-compat (=11).

 -- Holger Levsen <holger@debian.org>  Sat, 06 Apr 2019 15:55:10 +0200

developers-reference (3.4.23) unstable; urgency=medium

  [ Holger Wansing ]
  * Globally change "new maintainer" into "new member". Closes: #817914.

  [ Holger Levsen ]
  * scope.dbk: extend: s#Debian developers#Debian developers and maintainers#
  * tools.dbk:
    - stop recommending remote signing of packages, especially using debrsign.
      Closes: #855320. Thanks to Daniel Kahn Gillmor.
    - slightly reword existing paragraph about dch and debchange.
      Closes: #494470.
  * best-pkging-practices.dbk: add another example of a multi binary source
    package. Closes: #430889.
  * l10n.dbk: drop paragraph about Debian specific manpages maintained in cvs.
  * developer-duties.dbk: improve paragraph about coordinating with upstreams.
    Closes: #908155. Thanks to Ian Jackson and Wouter Verhelst for the
    wording.
  * pkgs.dbk:
    - clarify the recipients of 123-submitter@b.d.o. Closes: #775740.
      Thanks to Josch Schauer for the wording.
    - don't suggest to test downgrading packages. Closes: #376590.
      Thanks to Justin Pryzby.
    - add a paragraph to the section about reintroducing packages to check and
      update the security tracker metadata. Closes: #839885.
      Thanks to Paul Wise.
  * beyond-pkging.dbk: mention mass-bugs for reporting bugs against many
    packages. Closes: #483232. Thanks to Sandro Tosi for the suggestion.
  * common.ent:
    - drop url-cvsweb.
    - switch five http urls to https, leaving one http url.
  * d/control: mark all binary packages as multiarch: foreign.
  * Update po4a/po/developers-reference.pot and po4a/po/*.po for the new and
    changed strings.
  * README.contributing:
    - renamed from README-contrib.
    - update instructions how to update .po files.
  * d/TODO: remove some ancient entries and clarify that only the BTS should
    be used in the long term.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Feb 2019 13:44:03 +0100

developers-reference (3.4.22) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix codename of Debian 11. (Closes: #905930)
  * Fix links to translations (making them one link pointing to the
    doc section on Debian website). Closes: #690750, #912724.

  [ Tobias Frost ]
  * Join the two chapters about the 'default' field (Closes: #818850).
  * Switch Alioth references in the dev-ref text to Salsa. (Closes: #908890)

  [ Jean-Paul Guillonneau ]
  * Update of French translation. Closes: #843966.

  [ Tobias Frost ]
  * Rewriting section about debug packages .(Closes: #907665, #911650)
  * Join the two chapters about the 'default' field .(Closes: #818850)
  * German translation for the package salvaging process.

  [ Joseph Herlant ]
  * Add a note on versioning scheme when reverting an NMU. (Closes: #908291)

  [ Holger Levsen ]
  * comment.ent:
    - add url-openpgp-best-practices-fr and use that in fr.po.
    - point url-buildd-p-a-s to https://wiki.debian.org/PackagesArchSpecific
      as alioth is gone. Closes: #915310
  * Improve language in manual, thanks to Paul Hardy for the patch.
    Closes: #907915
  * d/control:
    - upgrade to use debhelper-compat(=11), drop d/compat.
    - add "Rules-Requires-Root: no" to support building as non-root.
    - remove Build-Depends on dpkg-dev as it's part of build-essential and the
      required version is present in wheezy.
    - remove versions (fulfilled pre-squeeze) for Build-Depends-Indep of
      docbook-xsl and dblatex.
    - bump standards version to 4.3.0, no changes needed.
    - sort and wrap Build-Depends-Indep.
    - add myself to uploaders.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Jan 2019 17:32:03 +0100

developers-reference (3.4.21) unstable; urgency=medium

  [ Tobias Frost ]
  * Team upload.
  * Fix Alioth references in README-contrib (Closes: #907605)
  * Rewriting section about debug packages (Closes: #907665, #911650).
  * Add package-salvaging text (Closes: #681833, #907535).
  * Move shell snippet in §6.4 to common.ent.
  * Update German translation. (Closes: #908867)

  [ Nicholas D Steeves ]
  * Change priority extra to optional in §6.7.7 (Closes: #879863).
  * Add a note on versioning scheme when reverting an NMU (Closes: #908291).

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Sep 2018 23:21:04 +0200

developers-reference (3.4.20) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Reduce the large package tracker section to a few small paragraphs
    pointing to the real documentation hosted on
    https://qa.pages.debian.net/distro-tracker/
  * Apply typo/rewording patch from Paul Hardy. Closes: #878033
  * Update IRC channel list with better examples. Closes: #773544
  * Be more specific in the recommendation to use gender-neutral
    constructions. Thanks to Johannes Schauer <j.schauer@email.de>
    for the initial patch. Closes: #774837
  * Bump the minimal size of the GPG key to 2018 bits and put link
    to keyring.debian.org. Closes: #798106
  * Recommend using "which" to test availability of a command.
    Thanks to Axel Beckert for the patch. Closes: #883742
  * Point out that a non-working email is a policy violation. Improve
    MIA explanations. Closes: #604193, #544135
    Thanks to Caitlin Matos for the patch.
  * Replace some backticks with normal quotes in japanese translation
    to fix a build failure with LaTeX 2018. Closes: #896191
    Thanks to Hilmar Preuße for the patch.
  * Simplify generation of PUBDATE by relying on SOURCE_DATE_EPOCH.
  * Drop Marc 'HE' Brockschmidt <he@debian.org> from Uploaders.

  [ Ansgar Burchardt ]
  * security uploads should go to *.security.upload.d.o (closes: #874291)

  [ Julien Cristau ]
  * Update Vcs-* control fields.
  * Fix upload host name (ssh.upload.debian.org, not ssh.debian.org);
    closes: #888978.  Thanks, Thorsten Alteholz!

  [ Sean Whitton ]
  * Include link to Riseup's "OpenPGP Best Practices" (closes: #834070)
  * Add section "Selecting the upload urgency" to best-pkging-practices
    (Closes: #540852).

  [ Aurélien COUDERC ]
  * Fix CSS text color to avoid the HTML version being unreadable when
    using a light on dark default browser stylesheet.
  * d/control: Bump Standards-Version to 4.1.5, no change needed.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 13 Jul 2018 11:23:40 +0200

developers-reference (3.4.19) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control
    - set Build-Depends: debhelper (>= 10)
  * debian/compat
    - set 10
  * update translation template and Japanese translation

  [ Antoine Beaupré ]
  * clarify PGP keyring maintenance updates (Closes: #824038)
  * clarify that we use the literal codename in stable updates
  * clarify how the patch should be made for p-u
  * clarify what the p-u changelog should contain
  * clarify that the release team wants a source debdiff

  [ Paul Wise ]
  * Use mkdir -p instead of ignoring mkdir exit codes

  [ Boyuan Yang ]
  * Add information about debmake-doc in section 2.1.
  * d/control: Bump Standards-Version to 4.1.1.
  * Use ddtp2.d.n instead of ddtp.d.n since the latter one is dead.

 -- Hideki Yamane <henrich@debian.org>  Sat, 28 Oct 2017 20:46:22 +0900

developers-reference (3.4.18) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Also document List-Id header in package tracker mails.

  [ Lev Lamberov ]
  * adding Russian translation (Closes: #797603)
  * changing Makefile to handle Russian translation

  [ Anthony Fok ]
  * Change ftp-master-mirror to coccia.debian.org
    coccia.debian.org has replaced ries.debian.org for some time now,
    see https://lists.debian.org/debian-dak/2013/07/msg00004.html
  * Replace gitweb URL with cgit in Vcs-Browser field.
    The gitweb interface on Alioth is no longer functional, so updating
    Vcs-Browser to point to cgit URL provides a better experience to the user.
  * Replace coccia.debian.org with mirror.ftp-master.debian.org
    which is more future-proof in case we change server again.
    Thanks to Julien Cristau for the suggestion!
    (Closes: #806993)

  [ Salvatore Bonaccorso ]
  * Receiving debdiffs is preferred when reviewing security uploads.
    When sending a review for upload to security.debian.org receiving a
    resulting debdiff is preferred over receiving resulting diff.gz /
    debian.tar.gz and .dsc files.

  [ Hideki Yamane ]
  * po4a/po/de.po: fix tag error
  * Makefile: fix to work make {pot,updatepo}
  * Add po4a/po/it.po (Closes: #807742)
  * debian/control
    - add developers-reference-it package
    - add developers-reference-ru package
    - add "Build-Depends: texlive-lang-italian" for Italian package
    - update description as those two packages
    - update Vcs-Git, use https
    - add me as Uploaders
    - set Standards-Version: 3.9.8
  * Remove debian/source/options since xz is default option now.

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 Jun 2016 18:55:51 +0900

developers-reference (3.4.17) unstable; urgency=medium

  * Team upload.
  * Update the section about the package tracker to document
    tracker.debian.org instead of packages.qa.debian.org.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Dec 2015 10:44:56 +0100

developers-reference (3.4.16) unstable; urgency=medium

  [ Charles Plessy ]
  * Remove sections on the obsolete quinn-diff program and
    debian-maintainers package; update debian-keyring description.
    Closes: #794234, #794235, thanks to Jakub Wilk <jwilk@debian.org>.
  * Update section on debview, now in the debian-el package.
    Closes: #794236, thanks to Jakub Wilk <jwilk@debian.org>.
  * Point Packages-arch-specific URL to cgit mirror.
  * Uploads to suites other than unstable/experimental should use codenames.
    Closes: #796442, thanks to Didier 'OdyX' Raboud <odyx@debian.org>.

  [ Lucas Nussbaum ]
  * Rebuild to fix issues with texlive fonts caused by #796120.
    Closes: #792009, #789391

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 28 Aug 2015 10:49:57 +0200

developers-reference (3.4.15) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Hideki Yamane ]
  * add css and images for HTML documents, borrowed from Debian reference.
    (Closes: #780787)
  * not say "security NMU" but just say "upload" (Closes: #784244)
  * just say wheezy as "Debian 7", instead of "7.0" (Closes: #784248)
  * update README-Contrib (svn to git) by Charles Plessy <plessy@debian.org>
    (Closes: #761005)
  * suggest to use codename for the upload target distribution for
    testing-proposed-update.
    Thanks to Stefano Rivera <stefanor@debian.org> (Closes: #780243)
  * suggest to use "<codename><n> version" scheme.
    Thanks to Stefano Rivera <stefanor@debian.org> (Closes: #768426)
  * adjust release codename and version number.
  * fix wrong encoding in epub (Closes: #738566)

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 11 Jun 2015 13:15:09 +0200

developers-reference (3.4.14) unstable; urgency=medium

  [ Paul Wise ]
  * Update links from http to https where possible

  [ Lucas Nussbaum ]
  * Drop section on goodies, point to wiki instead.
    Closes: #751489, #586186
  * dpkg-buildpackage now uses fakeroot automatically. Closes: #750988
  * Drop section on debsums as this functionality is now integrated in
    dpkg. Closes: #750990
  * Mention other types of checksums besides MD5. Closes: #750994
  * Mention rationale for including the description in ITPs. Closes:
    #494332
  * Mention getting removed from e-mail aliases in retiring procedure.
    Closes: #736232
  * Fix typos in German translation. Patch from Thomas Schumm (Thanks!).
    Closes: #686253
  * Update DSA contact points. Closes: #713043
  * Mention collab-maint in the VCS section. Closes: #496815

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 29 Aug 2014 15:07:34 -0700

developers-reference (3.4.13) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Fix typo in NMU section s/blocking/block/. Closes: #755515

  [ Lucas Nussbaum ]
  * Fix typo in Vcs-Git:. Closes: #756491
  * resources: Mention that some of the goodies also apply to DMs.
    Thanks Philipp Kaluza for the patch. Closes: #581603
  * Clarify type of changes accepted in NMUs. Thanks to Chris Knadle for the
    patch! Closes: #672198
  * Add Steam subscriptions to the list of goodies. Thanks to Paul Wise
    for the patch. Closes: #736381
  * Replace 'Debian GNU/Linux' with 'Debian' (except at one place). Thanks
    to 'victory' for the patch. Closes: #708665
  * Add pointer to debian-experimental-changes@l.d.o, where uploads to
    experimental are sent. Thanks to Guo Yixuan for the patch! Closes: #671705
  * Recommend git-bp instead of cvs-bp, and cowbuilder instead of pbuilder-uml.
    Thanks to Osamu Aoki and Andreas Rönnquist for the patch! Closes: #741269
  * Update for jessie. Thanks Fabien Givors for the patch! Closes: #719888

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 30 Jul 2014 17:52:15 +0200

developers-reference (3.4.12) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update preferred contact method for the security team. Closes: #738607
    Thanks to Salvatore Bonaccorso for the patch.

  [ Charles Plessy ]
  * Removed mention of Gandi's discontinued discount.

  [ Lucas Nussbaum ]
  * Move maintenance to Git & collab-maint. Update Vcs-*.
  * Update Standards-Version to 3.9.5 (no change required).

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 08 Jul 2014 15:54:19 +0200

developers-reference (3.4.11) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Update versioning advice for security uploads as well. Closes: #709218
    Thanks to Salvatore Bonaccorso for the patch.

 -- David Prévot <taffit@debian.org>  Wed, 07 Aug 2013 14:06:40 +0200

developers-reference (3.4.10) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Add recommendations to re-introduce packages. Thanks to Paul Wise for the
    patch. Closes: #685039
  * Drop paragraph about vanilla debian/rules files which mainly points to a
    no-longer working link.

  [ Hideki Yamane ]
  * Introduce epub support. Closes: #652044

  [ Thijs Kinkhorst ]
  * Update versioning advice for uploads to stable/testing. Closes: #685646
  * Advise to use codename-security instead of stable-security.
    Closes: #708290

  [ Translation updates ]
  * French by David Prévot.
  * Japanese by victory.
  * German by Chris Leick.

  [ David Prévot ]
  * debian/control:
    - Update Standards-Version to 3.9.4 (no change required).
    - Use canonical URL for Vcs-Svn.

 -- David Prévot <taffit@debian.org>  Thu, 16 May 2013 18:35:23 -0400

developers-reference (3.4.9) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Clarify that removals from testing are possible. Closes: #678710
    Thanks to Per Andersson <avtobiff@gmail.com> for the patch.
  * Reword various parts to be gender-neutral. Closes: #678712
    Thanks to Per Andersson and Steve Langasek for the patch.
  * Recommend usage of gender-neutral formulations in README-contrib.
  * Fix Vcs-Browser URL. Thanks to Charles Plessy who spotted it.
  * Document the existence of "hints" that release managers can
    use to tweak the conditions of testing migration. Closes: #679562
    Thanks to Paul Gevers <paul@climbing.nl> for the patch.

  [ Translation updates ]
  * Japanese by Hideki Yamane.
  * French by David Prévot.
  * German by Chris Leick.

  [ David Prévot ]
  * Fix typo: Freenodes -> Freenode. Closes: #679735

 -- David Prévot <taffit@debian.org>  Sun, 19 Aug 2012 17:34:59 -0400

developers-reference (3.4.8) unstable; urgency=low

  [ David Prévot ]
  * Move away po4a handling in its own directory with a single config file.
  * Adapt Makefile and README-contrib to the current po4a tree.
  * Upgrades to stable should be discussed using reportbug. Thanks to Don
    Armstrong <don@donarmstrong.com> for the patch.
    Acked-by: Julien Cristau <jcristau@debian.org> . Closes: #670362
  * Use UTF-8 locale to prepare the text version. Closes: #658839
  * Delayed queue goes from 0 to 15-day. Closes: #631353

  [ Osamu Aoki ]
  * Make XeTeX backend to use xCJK package only for CJK and add tipa for
    build dependency. (See #666569). Closes: #666578

  * Translation updates (complete)
    - French by David Prévot.
    - German by Chris Leick.

  [ Raphaël Hertzog ]
  * Update Standards-Version to 3.9.3 (no change required).
  * Switch to xz compression for source.
  * Clean up debian/rules by using dh (with compat level 8).
  * Drop build-dependency on latex-cjk-xcjk since xeCJK.sty is provided
    by texlive-xetex directly.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 25 Jun 2012 18:57:23 +0200

developers-reference (3.4.7) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Document some best practices for meta-packages. Extend those for
    transitional packages. Based on a patch by Luca Falavigna
    <dktrkranz@debian.org> (thanks!). Closes: #569219
  * Update license pointer to correctly point to GPL-2. Closes: #643929
    Thanks to Luca Falavigna.
  * Update URL of Debian Mentors FAQ. Closes: #643930
    Thanks to Luca Falavigna for the patch.
  * Refresh some release-specific information. Closes: #643931
    Based on a patch by Luca Falavigna.
  * Refresh some ftpmaster-related information. Closes: #643932
    Thanks to Luca Falavigna for the patch.
  * Update minimal GPG key length to match current requirements.
    Closes: #643933 Thanks to Luca Falavigna for the patch.
  * Update login information for rt.debian.org. Closes: #643934
    Thanks to Luca Falavigna for the patch.
  * Drop section about yada. Its usage is highly discouraged. Closes: #643935
    Thanks to Luca Falavigna for the patch.
  * Update best practice about unfuzzying PO file translations to recommend
    msguntypot. Thanks to David Prévot for the patch.
    Acked-by Christian Perrier. Closes: #655153

  [ David Prévot ]
  * Add doc-base file for the German translation.
  * Typo fix, thanks to Andreas Moog. Closes: #655096
  * Use XeTeX backend, that fix quotes in examples. Closes: #629530
  * Build the Japanese PDF, thanks to Osamu Aoki and the maint-guide build
    process.

  * Translation updates (all completed)
    - Japanese by Hideki Yamane.
    - German by Chris Leick.
    - French by David Prévot.

 -- David Prévot <taffit@debian.org>  Tue, 17 Jan 2012 16:36:12 -0400

developers-reference (3.4.6) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Update the NMU rules to take into account the 0-day NMU rule
    instituted by the release managers. Closes: #625449

  [ Lucas Nussbaum ]
  * Update my email address.
  * Encourage the use of RT to contact the security team.
    Patch from Thijs Kinkhorst. Closes: #610782
  * Document the process of returning after retirement.
    Patch from Serafeim Zanikolas. Closes: #540249
  * Add instructions how to mark a non-free package as auto-buildable.
    Patch from Moritz Muehlenhoff, ACKed by Andreas Barth.
    Closes: #602838

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 31 Jul 2011 19:52:10 +0200

developers-reference (3.4.5) unstable; urgency=low

  * Team upload.

  [ Gerfried Fuchs ]
  * Remove part about -v for package uploads from experimental to unstable,
    version tracking removed that requirement.

  [ Raphaël Hertzog ]
  * Rework section on "sponsoring packages" and include a basic
    checklist for the sponsor. Closes: #453313
  * Update the "Debian Developer's Duties" chapter to be more explicit
    about duties of package maintainers. Closes: #548867
  * Update references to merkel (which is decommissioned) where
    needed. Closes: #619990
    Thanks to Charles Plessy for the patch.
  * Many typos fixed by Chris Leick <c.leick@vollbio.de>. Closes: #623512

  [ Chris Leick ]
  * Initial German translation.

  [ David Prévot ]
  * Activate German package. Closes: #623489
  * Update French translation.
  * Bump Standards-Version to 3.9.2. No changes needed.
  * Add build-arch and build-indep targets.
  * Explicitly refer to GPL-2 file in debian/copyright.

  [ Hideki Yamane ]
  * Update Japanese translation.

 -- David Prévot <taffit@debian.org>  Sun, 19 Jun 2011 13:56:46 -0400

developers-reference (3.4.4) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Document the new derivatives-bugs PTS keyword.
  * Removed hp.debian.or.jp reference. Closes: 561597

  [ Raphaël Hertzog ]
  * Update description of the PTS "summary" keyword. Thanks to
    Simon McVittie <smcv@debian.org> for the patch. Closes: #469154
  * Add accent on my first name in debian/control.
  * Use "3.0 (native)" source format with bzip2 compression.
    Created debian/source/{format,options} for this.
  * Update guideline for override change to point to BTS
    instead of email. Thanks to Simon McVittie <smcv@debian.org> for the
    patch. Closes: #540231
  * Include full URL to the README of the upload queue. Thanks to Simon
    McVittie <smcv@debian.org> for the patch. Closes: #540974
  * The key protecting #debian-private is now stored on a file
    on master.debian.org, it's no more required to search into
    the debian-private archives. Thanks to gregor herrmann <gregoa@debian.org>
    for the patch. Closes: #548823
  * Update information about upload queues. Thanks to Simon McVittie
    <smcv@debian.org> for the patches:
    - point to official names {ftp,ssh}.upload.debian.org. Closes: #554054
    - drop references to non-working queues. Closes: #554077
  * Mention DocBook, POD and reST as convenient formats to write new manual
    pages. Thanks to Charles Plessy and the debian-mentors list
    for the idea and the patch. Closes: #557298
  * Update several sections to take into account the new source formats “3.0
    (quilt)” and “3.0 (native)”. Closes: #561952
  * Drop reference to “dbs” in the section about including binary files.
  * Fix typo “transfered“ → “transferred”. Closes: #555685
  * Fix typo “programms“ → “programs”. Closes: #560808
  * Drop section about debmake, it has been removed of Debian since lenny.
  * Update URL of the security tracker. Thanks to Salvatore Bonaccorso.
    Closes: #556229
  * Update URL of Packages-arch-specific. Closes: #553974
  * Update section about Alioth to mention FusionForge instead of GForge.
    Drop mention of separate cvs.debian.org it's managed by Alioth too.
    Closes: #564068
  * Document new "buildd" keyword from the PTS.
  * Update URL explaining the "Debian Maintainer" status, it's now at
    http://wiki.debian.org/DebianMaintainer. Closes: #564414
  * Update number of source packages. Thanks Karl Goetz. Closes: #567235
  * Update and simplify list of architectures. Thanks Karl Goetz.
    Closes: #567234
  * Small typo fixes and clarifications/rewordings suggested by Karl Goetz.
    Closes: #567233
  * Document the notion of "team upload": it looks like an NMU but it's not
    really one because the uploader is an implicit co-maintainer since he's
    part of the maintenance team. Thanks to Charles Plessy for the initial
    patch. Closes: #573110
  * Update standards-version to 3.9.1 and add missing ${misc:Depends} in
    dependencies.
  * Fix debian/tocsubstvars to cope with the new way dpkg-dev handles
    multi-lines substitution variables.

  [ David Prévot ]
  * Update outdated mentions, typos and tags. Closes: #578664
  * French translation updated from the 2006 debiandoc version.
  * Apply updated patch from Nicolas François. Closes: #257150
  * dinstall run happens four times a day. Closes: #585161
  * Activate Japanese package.
  * Handle addendum if it exists.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Nov 2010 19:28:03 -0400

developers-reference (3.4.3) unstable; urgency=low

  * Fixed working of the repackaged tarballs section to avoid giving the
    impression that it's a standard packages must comply with. Closes:
    #489135.
  * Specify that bugs from removed packages must be closed in foo+rm.
    Closes: #491839.
  * Change the maintainer address to debian-policy@, based on discussion
    on debian-devel@.
  * Bump Standards-Version to 3.8.3. No changes needed.
  * Update copyright notices and list of authors.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 17 Sep 2009 20:56:19 +0200

developers-reference (3.4.2) unstable; urgency=low

  * Applied patch from Justin B Rye that improves the discussion on writing
    package descriptions. Closes: #516436.
  * Lenny has been released, update the list of codenames. Closes: #527008.
  * Applied patch from Paul Wise that adds a paragraph about hostile
    upstreams. Closes: #523985.
  * Applied patch from Charles Plessy about providing information to the
    ftpmasters. Closes: #526410.
  * In the section about patch systems, mention quilt (was not
    mentioned before) and describe it as the recommended patch system.
    also mention dpatch and cdbs' patch system. drop dbs. Closes: #525668.
  * Added a note in the wanna-build section to mention
    http://release.debian.org/wanna-build.txt. Closes: #516375.
  * Clarified NMU versioning to reflect existing practices. Closes: #532945.
  * s/README.Debian-source/README.source/ in the section
    about repackaged upstream tarballs.
  * Mention the Gandi.net hosting discount in section 4.13.
    Applied patch from Tim Retout. Closes: #538245.
  * Reduce length of title of L10N section so that it is no longer split.
    Applied patch from Justin B Rye. Closes: #534688.
  * Bumped debhelper compat level to 5 (4 was deprecated)
  * Bump Standards-Version to 3.8.2. No changes needed.
  * Added pointer to debian-project@ post about the wanna-build team.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 22 Aug 2009 12:28:04 +0200

developers-reference (3.4.1) unstable; urgency=low

  [ Raphael Hertzog ]
  * Create a publish target in the Makefile to re-enable builds on the
    website.

  [ Lucas Nussbaum ]
  * Committed DEP1: rework the whole NMU section.
    The most important changes are:
    + NMUs are now explicitly allowed for all bugs, not just "serious bugs".
    + It is recommended to use the DELAYED queue, and some example delays are
      provided.
    Other fixes:
    + Describe the process of acknowledging NMUs in a way that works
      with the BTS's version-tracking. Closes: #480723.
    + No longer mention that only DDs can do NMU. Don't make any
      distinction. Closes: #464230.
    + Switch to +nmu for NMU versioning. Closes: #437392.
    + Mention nmudiff. Closes: #483227.
  * Mention docbook-xml, and that debiandoc-sgml is deprecated. Thanks to
    W. Martin Borgert for the patch. Closes: #485689.
  * Fixed typo and example in the blurb about debug packages.
    Thanks to Theppitak Karoonboonyanan for the patch.
    Closes: #487664.
  * Update instructions on the delayed queue.
    Thanks to Thijs Kinkhorst for the patch.
    Closes: #512529.
  * Clarify wording about repackaged .orig.tar.gz.
    Thanks to Cyril Brulebois for the patch.
    Closes: #492661.
  * Improved README.contrib. Mention command to checkout the SVN
    version. Thanks to Christine Spang for the patch.
    Closes: #500371.
  * Document usertags. Thanks to Chris Lamb for the patch.
    Closes: #367876.
  * Updated documentation on translation updates.
    Thanks to Christian Perrier for the patch.
    Closes: #474879.
  * Update instructions on handling of security issues.
    Thanks to Thijs Kinkhorst for the patch.
    Closes: #512620, #510783.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 23 Jan 2009 09:57:54 +0100

developers-reference (3.4.0) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Update Vcs-* fields after DDP's SVN restructuring. Closes: #483428.
  * Fix conditions for updates from unstable to testing. Closes: #470754.
  * linda has been removed. Remove section A.2.2. Closes: #483242.
  * Co-maintainers are listed in the Uploaders field. Closes: #483230.
  * Collaborative Maintenance: the 'global part' of debian/control
    is the first paragraph, about the source package. Closes: #483231.
  * debian-private archives are on master. Closes: #475531.
  * Mention Debian Maintainers and the debian-maintainers package.
    Closes: #483225.
  * README.contrib: document that short lines are preferred.
    Closes: #278267.
  * build-rdeps allows one to list reverse build-dependencies.
    Closes: #376582.

  [ Marc 'HE' Brockschmidt ]
  * Replace abused <emphasis> tags with <literal> tags.
  * In the same spirit, wrap all uses of stable/testing/unstable and
    release codenames in <literal>
  * Remove reference to upload queue on auric in section 5.6.5, auric
    doesn't exist any more.
  * Fix several typesetting errors and typos noticed by Sandro Tosi,
    thanks for the notes! Closes: #483223
  * Update several bits about release management/testing transitions
    and release-critical bugs. Closes: #483237, #456494
  * Update and rewrite the porting guidelines in chapter 5, bringing
    the dev-ref up to the state of porting in the year 2008. Also
    fixes several wording issues, such as possible misunderstandings
    about the need to rebuild uploads. Closes: #483226
  * Update the instructions for uploads to the (old)stable
    distributions. Emphasize the importance of contacting the SRM
    team before upload. Closes: #459343
  * Update instructions for package removal requests. Closes: #454216
  * Clarify instructions for bug reassignment, emphasizing the
    need to inform the maintainers you reassign the bug to. Also
    hint to using cloned bugs to avoid re-reporting. Heavily based
    on patch by Marc Haber - thanks for the work! Closes: #484806
  * Clarify instructions for replacing/renaming binary packages,
    pointing out that using Provides is sometimes advisable. Closes:
    #467102
  * Update description of the madison tool (by replacing it with a
    description of the dak ls tool). Update the example while we're
    at it.
  * Update explanation of best practice for closing bugs, seems to
    have been forgotten when everything was upgraded to use
    debbugs version-tracking. Closes: #485969
  * Clarify ITP instructions and emphasize our wish that people send
    ITPs, explaining a few of the reasons. Thanks for the note,
    Thomas. Closes: #485837
  * debian/control:
     + Update Uploaders to include Lucas, Raphael and me.
     + Bump Standards-Version to 3.8.0. No changes needed!

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 13 Jun 2008 13:45:49 +0200

developers-reference (3.3.9) unstable; urgency=low

  [ Andreas Barth ]
  * Packaging changes:
    - bump standards-version to 3.7.3 (no change)
    - fix debian/copyright
    - move debhelper to Build-Depends.
    - add pdf for French version.
  * Document changes to stable release management. Closes: #414291
  * Debconf error templates no longer discouraged. Thanks,
    Christian Perrier. Closes: #427832
  * Keyring now uses RT. Closes: #428846
  * Document -dbg-packages within BPs. Thanks, Joey Hess. Closes: #420540
  * NMUs now also close bugs. Thanks, Lucas Nussbaum. Closes: #419507
  * Fix documentation about gender neutral. Closes: #384178
  * Fix typo. Closes: #405453
  * More details on how to write documentation. Thanks, Josh Triplett.
    Closes: #422750
  * Add XS-Vcs-*. Thanks to Stefano Zacchiroli. Closes: #391023
  * Small brushup to debconf description. Thanks, Thomas Huriaux.
    Closes: #401415
  * Document Team-Maintainence better. Thanks, Lucas Nussbaum.
    Closes: #410159
  * Add link to more removal resources. Thanks, Adam D. Barratt,
    Justin Pryzby. Closes: #412757, #356720
  * Repacking source packages need to be documented in copyright.
    Thanks, Russ Allbery. Closes: #413320
  * Better describe version of Debian native packages NMUs. Closes: #405818
  * Source, HTML and text are now encoded in UTF-8. Thanks, Jörg Sommer.
    Closes: #373816
  * Source is now DocBook XML instead of debiandoc. Closes: #374220

  [ Raphael Hertzog ]
  * Add a link to enrico's excellent Debian Community Guidelines.
  * Recommend the use of DSA's request tracker instead of mailing them.
  * Remove reference to #debian-sf, #debian-bsd which don't exist any more. Put
    a reference to #debian-dpkg instead.
  * Remove all stuff concerning non-US.
  * Update information concerning Alioth.
  * Update information concerning the Package Tracking System.
  * Mention Alioth as the main resource for VCS repositories and deprecate
    cvs.debian.org.
  * Remove XS- prefix for Vcs-* fields since dpkg now supports them.
  * Document the Homepage field. Thanks, Christian Perrier. Closes:
    #445642
  * Add Vcs-Svn and Vcs-Browser fields pointing to the new SVN
    repository.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 28 Feb 2008 10:16:40 +0000

developers-reference (3.3.8) unstable; urgency=low

  * mia-history is replaced by mia-query. Thanks, Christoph Berg.
    Closes: #350792
  * fix missing quite. Thanks, Frank Küster. Closes: #365994
  * use gnugp instead of gpg. Thanks, Justin Pryzby, Jon Dowland.
    Closes: #376411
  * better destinction between maintainer and developer. Thanks for
    the suggestion to Colin Tuckley. Closes: #380458
  * irc.d.o points to OFTC. Thanks, Christoph Biedl, Jon Dowland.
    Closes: #382721
  * Bugs are now always closed thanks to version tracking.
    Closes: #339552, #353447, #376199
  * Clarify what "a conflicts b" means in testing migration.
    Closes: #361311
  * Packages in testing disappear if they're removed from unstable.
    Thanks, Frank Küster, Al Stone. Closes: #365993
  * Document only the most recent changelog entry is used. Thanks
    to Kevin Glynn to the suggestion. Closes: #374738
  * Add more tools for reverse depends. Closes: #376582
  * delayed-queue on gluck is uploaded more often now. Closes: #397907
  * stop using capitals, minor fixes, language fixes.
    Thanks, Thijs Kinkhorst, Colin Tuckley, Russ Allbery.
    Closes: #368046, #378929, #361744
  * add CVE Ids to your changelog. Closes: #376961
  * add reasoning why debconf questions shouldn't be longer than
    20 lines. Thanks, Thijs Kinkhorst, Christian Perrier, Russ Allbery.
    Closes: #382477
  * section changing needs re-uploading orig.tar.gz.
    Thanks, Adam D. Barratt. Closes: #387154
  * binary files in diffs could be en/decoded with perl.
    Thanks, Frank Küster. Closes: #397786
  * Add pointer to new-reject-FAQ. Closes: #324967
  * Hint to dd-list/whodepends. Closes: #353874
  * Don't use too generic mail ids. Closes: #355725
  * pts/summary is actually used. Thanks, Holger Levsen. Closes: #387108
  * clarify that one should append the NMU-diff to a bug. Closes: #394033
  * more detailed instructions on binary package removals.
    Closes: #356643

  * Frédéric Bothamy
    - French translation updated to version 3.3.8

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 11 Nov 2006 10:55:44 -0700

developers-reference (3.3.7) unstable; urgency=low

  * Andreas Barth:
    - adjust information about distributions with reality.
    - add note on alioth accounts. Thanks, Phillip Kern. Closes: #306630
    - correct manpage section of dpkg-scanpackages. Closes: #297069
    - fix RFC 2440 URL. Closes: #308103
    - add $arch@buildd information. Closes: #295483
    - link to keyring.d.o for key replacement. Thanks, Martin Michlmayr.
      Closes: #298016
    - add information about Packages-arch-specific. Thanks, Frank Küster.
      Closes: #302000
    - add hint about LWN subscription. Thanks, Martin Michlmayr.
      Closes: #299217
    - more about debconf-style translation. Thanks, Christian Perrier.
      Closes: #309502
    - non-us discontinued.
    - document NMU changes wrt version tracking. Thanks, Justin Pryzby.
      Closes: #341197
    - fix spelling issues. Thanks to various people.
      Closes: #336146, #326857, #338660
    - update menu policy helpers. Thanks, Florian Ernst. Closes: #340024
    - send mia-mail to mia@qa. Thanks, Adam D. Barratt. Closes: #341568
    - Joerg Jaspert is now freenode contact. Closes: #344303
    - give a clearer description of the gpg v4-key issues. Thanks,
      Martin Michlmayr and Peter Palfrader. Closes: #317411
    - more verbose about Homepage. Closes: #339826
    - add sarge and etch. Closes: #327682
    - document severity of RoM-request bugs. Closes: #305947
    - update FSF address. Closes: #334820
    - fix P-a-s link. Closes: #341195
    - reflect binNMU changes. Closes: #349493
    - new security upload queue. Closes: #352749
    - fix experimental's sources.list entry. Closes: #347229
    - remove deprecated "Closes:..." to ACK NMU bug fixes. Closes: #353447
    - when resigning, gpg-sign your mail. Closes: #348160
    - make pristine source and repackaged origtargz anchors work.
      Closes: #351255
    - same number of RC bugs is ok. Closes: #351944
    - dpkg-source doesn't keep permissions. Thanks, Enrico Zini.
      Closes: #306120
    - also mention aspell. Closes: #320981

  * Frédéric Bothamy
    - French translation updated to version 3.3.7, proofread by Bernard Adrian

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 09 Apr 2006 11:31:52 -0600

developers-reference (3.3.6) unstable; urgency=low

  * Andreas Barth
    - closes: and NMUs/experimental uploads. Closes: #284714
    - madison is on merkel.
    - more gender-neutral. Closes: #290583, #290584, #263114
    - explain current incoming. Closes: #290019
    - remove broken sponsoring URL. Closes: #291698
    - add handling hints about orig.tar.gz. Thanks, Frank. Closes: #278524
    - duplicate bug reports should be merged. Closes: #285381
    - if you're on vacation, please check whether someone needs keysigning.
      Closes: #285458
    - freenode has developer cloaks. Closes: #285687
    - cleaned up uploaders / maintainer field
    - explain how dak detects NMUs. Closes: #292354
    - add "mass" to lots of bugs. Closes: #292946
    - sync NM rules with reality.
  * Frédéric Bothamy
    - French translation updated to version 3.3.6

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 23 Jan 2005 16:08:49 -0700

developers-reference (3.3.5) unstable; urgency=low

  * Andreas Barth
    - uploads to more than one dist are not possible.
    - updated upload queues. Closes: #235213
    - updated URL of vanilla rules files. Closes: #237557, #252048
    - please speak with stable RM before uploading to stable. Closes: #261464
    - information on wnpp usage synced with wnpp. Closes: #255298
    - spelling, grammar fixes.
      Closes: #202444, #202499, #203202, #203378, #221902, #226208
    - add hint about partial key id. Closes: #243968
    - spohr is restricted, and also ftp-master. Closes: #255814
    - bpp: Hint about locale generation as non-root. Closes: #208021
    - bpp: deborphan-compliant transition packages. Closes: #183654
    - add myself to uploaders.
    - add chapter about i10n. Closes: #208156
    - add information about dchroot. Closes: #211845
    - add information about NEWS.Debian. Closes: #212402
    - add information about mia-database. Closes: #213961
    - add link to debian-mentors FAQ.
    - add verbose information about the package description. Closes: #214792
    - add hint about -v<version> to experimental. Closes: #232930
    - update information about yada. Closes: #217956
    - urgency is sticky. Closes: #261914
    - updated information about testing distribution. Closes: #266649.
    - rewrote the NMU section, and
      + made the possible severities of "target bugs" clearer. Closes: #233088.
      + mention QA uploads. Closes: #202416.
      + add -B for binNMUs, and local debsign usage. Closes: #208839.
      + warning about breaking all-packages by binNMU. Closes: #213348.
    - add information about gpg usage. Closes: #175815.
    - make key replacement instructions more details. Closes: #275921
    - typo and language fixes. Thanks, Era Eriksson. Closes: #277576
    - add hints about debconf templates from Christian Perrier.
  * Matt Zimmerman
    - Security uploads get urgency=high
    - Be even more explicit about not uploading security updates
  * Frédéric Bothamy
    - French translation updated to version 3.3.5

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 22 Nov 2004 19:07:26 +0100

developers-reference (3.3.4) unstable; urgency=low

  * Josip Rodin:
    - fixed language in the PTS section, prompted by a patch from
      Romain FRANCOISE, thank you; closes: #197741
    - updated the mailing lists section (again)
    - documented Alioth, somewhat
  * Frédéric Bothamy
    - French translation updated to version 3.3.3 (more or less)
    - proofread by Patrice Karatchentzeff
  * Matt Zimmerman
    - Don't upload security updates directly to stable
    - Always include an external reference in security changelog entries
    - Be careful not to re-use a version number in security uploads
    - More explicit instructions about what is appropriate for a security
      upload

  * Adam Di Carlo
    - replace <!entity...> with <!ENTITY...> and other SGML hygenics
    - build refinements
    - Release this package as is to flush changes between June and now.
      Yes, its been an age between releases here, for which I apologize.
      Since CVS upstream for this package is back, I'm working on closing
      bugs in this package now, I just wanted to get it out as is before I
      started.

 -- Adam Di Carlo <aph@debian.org>  Sun, 29 Feb 2004 14:09:48 -0500

developers-reference (3.3.3) unstable; urgency=low

  * Frédéric Bothamy
    - corrections by Michel Grentzinger
  * Raphaël Hertzog
    - updated documentation concerning the PTS
    - added a paragraph about the PTS web interface
    - documented how to add custom news item in the PTS
  * Matt Zimmerman
    - updates and clarifications to instructions for security bugs
    - deprecate uploads to stable for security fixes, reference
      section on security bugs; closes: #196516
    - use dpkg-buildpackage -B to test binary-arch, not -b;
      closes: #196555
  * Adam Di Carlo
    - Sec "Managing sponsored packages": remove unnecessary 'debsign' cmd;
      closes: #192417
    - fix debconf-devel(7) man page section; closes: #189512
    - Sec "Responding to bugs": mention what FTBFS means; closes: #186605
    - Sec "Distribution directories" renamed "Distributions"
    - Sec "The testing distribution" moved under Sec "Distribution
      directories" and renamed "More information about the testing
      distribution"
    - Secs "Uploads to {stable,testing-proposed-updates}" retitled to make
      it clear these are special cases
    - Sec "Uploading to ftp-master": xref to "Delayed incoming";
      closes: #195997
    - check compliance with Policy version 3.5.10

 -- Adam Di Carlo <aph@debian.org>  Mon, 16 Jun 2003 04:08:29 -0400

developers-reference (3.3.2) unstable; urgency=low

  * Frédéric Bothamy:
    - French translation updated to version 3.3.1
    - proofread by Philippe Batailler and Patrice Karatchentzeff
  * Adam Di Carlo:
    - French translation requires debiandoc-sgml 1.1.76 or better

 -- Adam Di Carlo <aph@debian.org>  Fri, 18 Apr 2003 09:48:59 -0400

developers-reference (3.3.1) unstable; urgency=low

  * Josip Rodin:
    - package description said it contained French and Japanese, fixed,
      closes: #182614
    - Sec "Experimental": sources.list entries
    - Sec "Basic rules for [mailing list] use": cosmetic, link to this sec
    - Sec "Handling bugs": retitle and expand section
  * Adam Di Carlo:
    - more improvements to package synopsis and description
    - the synopsis formula changed to either
       <package-name> is a <synopsis>
      or
       <package-name> is <synopsis>
      or
       <package-name> are <synopsis>
      closes: #182956
    - the synopsis itself should not start with an article
    - Sec "Best practices for debian/control": expand intro
    - fix doc-check URL; closes: #187144
    - Sec "Multiple binary packages": fix awkward wording about vim source
      package; closes: #187143

 -- Adam Di Carlo <aph@debian.org>  Fri,  4 Apr 2003 14:26:52 -0500

developers-reference (3.3) unstable; urgency=low

  * Frédéric Bothamy:
    - French translation updated to version 3.2.2 (more or less)
    - proofread by Philippe Batailler
  * Raphaël Hertzog:
    - added "ddtp" keyword in the PTS documentation
  * Josip Rodin:
    - split out the doc-files per language, closes: #177448
    - shuffled stuff around in the packages chapter
    - added a section describing how to handle large amounts of
      architecture-independent data bundled with programs
    - added best practices on debian/changelog files, based on a patch
      kindly provided by Daniel Kobras, closes: #166388
    - described debdiff and dpkg-depcheck, and linked to them from the
      right places in the document, closes: #172897
    - describe the current practice in writing synopsis lines,
      closes: #174161
  * Adam Di Carlo:
    - update (c) year
    - convert to debhelper (compat mode 4); maintainer scripts no longer
      needed
    - split -ja and -fr versions out into separate packages
    - top-level makefile deletes targets on error; clean is cleaner
    - replace the manual debian/control processing to show the document's
      table of contents (TOC) with a new script 'debian/tocsubstvars';
      note that the TOC displayed in the developers-reference-{fr,ja}
      package descriptions are in English until UTF8 control files are
      allowed; proper escaping of single quotes here requires newest
      debhelper
    - editorial changes on material added in this version
    - reorder "Best Packaging Practices" a bit
    - rework "Best practices for debian/control" based on contributions
      from Colin Walters, Branden Robinson, Sebastian Rittau and others;
      closes: #139957, #108416
    - primary author is developers-reference@packages.debian.org; remove
      emails from other authors to prevent spam and confusion

 -- Adam Di Carlo <aph@debian.org>  Mon, 24 Feb 2003 13:29:07 -0500

developers-reference (3.2.2) unstable; urgency=low

  * Josip Rodin:
    - slightly rewrote and updated links in the mirrors section
  * Adam Di Carlo:
    - Policy compliance checked and updated to 3.5.8, no changes needed
    - TODO: remove some tasks which are done
    - ship README-contrib and TODO in the doc dir
    - Sec "Upstream home page": some revisions based on discussion on
      policy list
    - Sec "Documentation" added under Sec "Common packaging situations"
      for best practices for documentation
    - Add tools entries for autotools-dev, dpkg-repack, alien, debsums;
      new Sec "Documentation and information", add entries there for
      debview, debiandoc-sgml, debian-keyring; we believe this manual now
      covers all of the established, general Debian maintainer tool
      packages
    - spell-checking pass

 -- Adam Di Carlo <aph@debian.org>  Thu, 12 Dec 2002 13:45:23 -0500

developers-reference (3.2.1) unstable; urgency=low

  * Adam Di Carlo:
    - Sec "Best practices for debian/control" added, Sec "Writing useful
      descriptions" moved under there
    - Sec "Upstream home page" added in debian/control section
    - Sec "Miscellaneous advice" empty, removed
    - Sec "Overview of maintainer tools": tools now categorized into
      subgroups; do cross-linking from this section into other parts of
      the document where these tools are discussed
    - Sec "Overview of maintainer tools": add entries for sbuild,
      build-essential, linda; improved entries for pbuilder, devscripts
    - Sec "Tools for porters" renamed and re-adapted to "Porting
      infrastructure and automation"; move tool discussion down to the
      appendix; improve Sec "buildd" a bit
    - README-contrib added giving information for authors, contributors,
      and translators
    - eliminate the ByHand stuff, I'm pretty sure it's not needed now
      with the DDP builder process, or if it is needed, it's a probably
      that can be fixed by DDP folks
    - stop shipping SGML source -- use 'apt-get source developers-reference'
      after all, this is supposed to be a binary package, right?
    - simply PS and PDF building rules

 -- Adam Di Carlo <aph@debian.org>  Mon,  9 Dec 2002 03:04:19 -0500

developers-reference (3.2) unstable; urgency=low

  * Josip Rodin:
    - merged a bit misplaced lintian-reports section within the lintian
      section and adjusted links
    - added the missing description of dh-make and adjusted links
  * Adam Di Carlo:
    - ChangeLog attribution updates
    - fix typos, closes: #171781
    - expand the doc-base abstract and authors
    - Ch "Packaging Practices" rewritten intro
    - Sec "Packaging tools and common cases" renamed to "Best Practices
      for debian/rules", and write an intro
    - Sec "Helper scripts" in practices section rewritten, giving
      arguments for and against debhelper, mostly for :)
    - Sec "Package with multiple patches" renamed to "Patching source
      versus patching at build time" and rewritten
    - Sec "Multiple binary packages" rewritten
    - Sec "Handling debconf translations" moved under an
      "Internationalization" section, and some edits
    - Sec "Internationalized Documentation" added under Sec
      "Internationalization"
    - Sec "Specific packaging practices" renamed to "Common packaging
      situations"
    - Sec "Packages using autoconf/automake" rewritten
    - Sec "Configuration management" moved forward in practices chapter
    - Sec "Other specific packages" renamed to "Specific types of
      packages", add info for SGML/XML and Lisp packages
    - Sec "Writing useful descriptions" heavily edited
    - Sec "Best practices for maintainer scripts" added, special credit
      here to Charles Briscoe-Smith for work dating back to 1998; include
      a POSIX shell snippet showing how to check if a command is the PATH,
      closes: #150384
    - Apdx "Overview of Debian Maintainer Tools": remove debget, it's
      rather useless and broken
    - normalize up-casing on sections, which should only up-case proper
      names and the first word
    - new 'translation-status' script to check status of translations,
      adapted from doc-check in boot-floppies, source pkg only --
      oh my, French translation is 54 CVS revisions behind, and Japanese
      is 108 behind
    - postinst: don't set /usr/doc symlink, aesthetics
    - prerm: don't use 'command -v', it's not POSIX
    - rules: produce md5sums file; break out a 'test' target

 -- Adam Di Carlo <aph@debian.org>  Sat,  7 Dec 2002 02:28:06 -0500

developers-reference (3.1.2) unstable; urgency=low

  * Josip Rodin:
    - DDP publishing update
  * Adam Di Carlo:
    - doc-base file includes French and Japanese files
    - debsign invocation was slightly wrong, closes: #170523
    - Sec "Handling debconf translations", updates from Martin Quinson
      for po-debconf with minimal editorial changes, closes: #169007

 -- Adam Di Carlo <aph@debian.org>  Wed, 27 Nov 2002 21:16:30 -0500

developers-reference (3.1.1) unstable; urgency=low

  * Josip Rodin:
    - updated IRC stuff, thanks to Ben Armstrong, closes: #161403
    - fixed/updated/extended stuff about bugs, hoping to address the
      issue of people abusing the changelog bug closing feature
  * Raphaël Hertzog:
    - added myself as co-author
    - fix a typo in Sec "Collaborative maintenance", closes: #161488
  * Matt Zimmerman:
    - updated security information, merging in Joey's stuff from the
      Security Team FAQ and various updates and clarifications
  * Adam Di Carlo
    - fix some bad URLs, closes: #168357
    - fix a grammar typo, closes: #166098

 -- Adam Di Carlo <aph@debian.org>  Tue, 12 Nov 2002 23:15:03 -0500

developers-reference (3.1) unstable; urgency=low

  * Raphaël Hertzog:
    - Corrected several errors with &mdash;
    - Applied patch from Peter Palfrader, correcting
      the URL for the Debian Voting Information page. closes: #150427
    - Applied patch from Matej Vela, dpkg-buildpackage does no more
      require -sa for version -0.1. closes: #150861
    - Applied the reformulations proposed by David Kimdon. closes: #150572
    - Applied the patch of Matt Zimmerman. Thanks Matt! closes: #145287
    - Added the explanation about how to replace an .orig.tar.gz.
      closes: #150392
    - Mostly deleted the paragraph about security upload in the
      section explaining source NMU. Just added a link to point to
      "Handling security-related bugs". closes: #159935
    - Added a link to the Technical Committee web page (in the "Bug
      housekeeping" section). closes: #151365
    - Explain uploads to testing-proposed-updates, mentions briefly
      stable-security and testing-security. closes: #149666
      Removed the comment about uploads to frozen.
    - Documented the "Developer's packages overview" web portal.
      closes: #158650
    - Added a reference to debian-l10n-english in "Writing useful
      descriptions". closes: #158609
    - Added a Best Packaging Practice section for "Packages using
      autoconf/automake". closes: #158045
    - Documented associated features to db.debian.org like SSH key
      replication and *.debian.net DNS entry. closes: #155389
    - Added a section about "Bug Squashing Parties".
  * Josip Rodin:
    - removed obsolete, needless dupload variables
    - applied linguistic fixes from David Kimdon, closes: #150572
    - random proofreading, mostly changing he -> they
    - added people.d.o and non-us.d.o to the Debian servers section, and
      mostly rewrote it to exclude real machine names and be better organized
    - updated the mailing lists section
  * Adam Di Carlo
    - debian/changelog: remove obsolete Emacs variables
    - editorial review of the changes above, minor tagging changes,
      spelling fixes

 -- Adam Di Carlo <aph@debian.org>  Tue, 10 Sep 2002 21:57:41 -0400

developers-reference (3.0) unstable; urgency=low

  * Adam Di Carlo:
    - welcome Manoj Srivastava as a co-maintainer
    - welcome Raphael Hertzog as a co-maintainer

    - new Chapter "Resource for Debian Developers", incorporating
      the former chapters
       Ch "Mailing Lists, Servers, and Other Machines"
       Ch "The Debian Archive"

    - new Chapter "Managing Packages", incorporating former chapters
       Ch "Package uploads"
       Ch "Non-Maintainer Uploads (NMUs)"
       Ch "Porting and Being Ported"
       Ch "Moving, Removing, Renaming, Adopting, and Orphaning Packages"
       Ch "Handling Bugs" (retitled "Handling package bugs")
       Sec "Bug housekeeping" (new section, some parts stubbed out)

    - new Chapter "Beyond Packaging" recommends ways to contribute
      to Debian beyond issues of package maintenance; incorporates
      Ch "Interaction with Prospective Developers", retitled to
          Sec "Interacting with Prospective Debian Developers"
      Sec "Submitting Bugs", renamed to "Reporting Bugs"
      Sec "QA" moved here from old Sec "Quality Assurance effort"
      Sec "Dealing with unreachable maintainers"

    - Sec "The Developers Database" added under Resources
    - new Sec "Collaborative Maintenance" concerning multiple maintainers
      for one package

    - Sec "Getting started": add link to New Maintainers' Guide
    - Sec "Debian Mentors" renamed to "Debian Mentors and Sponsors",
      we add some info on sponsoring; also in Sec "Sponsoring packages"
    - Section's first word capitalized, rest are normal case
    - purge a reference to the Packaging Manual; closes: #145039
    - misc. cross-referencing with new or moved sections
    - change some literal quotes to &lsquo;, &rdquo;, etc.
    - tagging improvements: replace <tt> with <file> for files and
      directories; since <tt><var> and <example><var> doesn't look right,
      work-around with &lt;...&gt;
    - entity'ize master.debian.org, us-upload-dir, non-us-upload-dir
    - update copyright date
    - some simplifications on the TeX suffix rule
    - spell check and grammar corrections
    - s/GPG/GnuPG/

  * Raphael Hertzog:
    - changed -e by -m in the dpkg-buildpackage command line example;
      closes: #110310
    - clarify wording between "porter upload", "binary-only NMU", "simple
      recompile"; closes: #102626
    - extended "removing a package"; closes: #135560
    - Ch "Best Packaging Practices": new chapter, including new
      Sec "Writing useful descriptions" as a first entry in that
      chapter; closes: #53109, #129848
    - indicate that the list of subsections is defined in the policy;
      closes: #123586
    - removed some cruft in `Announcing package uploads'
    - document the testing scripts; closes: #129445
    - explain how to reassign/close bugs of removed packages;
      closes: #130255
    - updates the note about software subject to US patents;
      closes: #142798
    - new Section "Contacting other maintainers" under "Beyond packaging"
      Document the package@packages.debian.org alias; closes: #114553
    - new Section "Package's information" under Resources
      Document http://packages.debian.org/<package>,
      http://bugs.debian.org/<package> and the madison utility
    - Sec "Reporting bugs": added http://bugs.debian.org/from:email@isp.com
    - Sec "Handling bugs": added http://bugs.debian.org/login@debian.org
    - Sec "The Incoming system" in "Resources", describe how it works and
      also speak of the DELAYED directory; closes: #135562, #136774
    - spelling fixes
    - Sec "Developer Database": added a sentence about finger
      login@debian.org
    - update the total number of packages and the example directory tree
      of a Debian archive
    - updated the list of available architectures.
    - commented out the "Subsections" section since it will RSN have nothing
      to with the Debian archive. It's just a generic information field
      of the package and nothing more.
    - added more incentive to use experimental since it doesn't cause
      any pain to the ftpmasters.
    - Sec "When to do a source NMU": updated the NMU "protocol" and suggest
      the use of the delayed queue.
    - new Section "Acknowledging the NMUs" to explain the need to integrate
      the changes introduced by NMUs. Insists on the fact that one shouldn't
      be upset by a NMU.
    - stubbed in new Section "Collaborative maintenance"
    - stubbed in new Section "The Package Tracking System"
    - Sec "The Package Tracking System": filled with content from
      Francesco Paolo Lovergine, heavily updated by myself
    - new Section "Managing sponsored packages" contributed by
      Francesco Paolo Lovergine, slightly updated by myself
    - new Sec "Bug housekeeping"; closes: #39519
    - new Sec "Voting"
    - new Sec "Documentation"
    - added Sec "IRC channels" in the Resources chapter
    - added Sec "pbuilder" in the appendix. Mention it in the section
      "Being kind to porter" too
    - extended Sec "devscripts" with info about "bts" and "uscan"
    - completed Sec "Helper scripts"
    - completed Sec "Package with multiple patches",
      "Multiple binary packages", "Libraries", "Other specific packages",
      "The wise use of debconf" -- all those are quite simplistic, they
      can be improved
    - integrated Sec "Handling debconf translations" contributed by
      Denis Barbier -- thanks, Denis!

  * Antoine Hulin:
    - update French translation

 -- Adam Di Carlo <aph@debian.org>  Fri, 14 Jun 2002 01:18:19 -0400

developers-reference (2.11) unstable; urgency=low

  * Antoine Hulin:
    - some grammar corrections
    - update French translation
  * Martin Michlmayr:
    - changes in upload situation, not possible to remove from Incoming
      any more; closes: #135559
    - also talk about dput a tiny bit
  * Adam Di Carlo:
    - Ch "Overview of Debian Maintainer Tools":
      - improve the intro
      - Charles Briscoe-Smith deprecates yada (I think new maintainers of
        that would be welcome)
      - debconf-doc mentioned for debconf
      - debhelper: don't talk about debmake; mention how to get info on the dh-*
        pkgs
      - dput: new section, closes: #129378
      - debootstrap: new section, closes: #129377
      - dpkg-dev-el: new section
      - other minor wording changes
    - Sec "Mailing Lists": where to find private archives, closes: #96780
    - Ch "Package uploads":
      - new Sec "Adding an entry to debian/changelog"
      - rename Sec "Announcing new packages" to "New packages"
    - crypto is in main, non-US is for patent restrictions, so:
      - excise some text from "Registering as a Debian developer"
      - changes in Sec "Uploading to ftp-master"
      - changes in Sec "Uploading to non-US"
  * old bugs closed out, closes: #110573

 -- Adam Di Carlo <aph@debian.org>  Sun,  7 Apr 2002 23:34:08 -0700

developers-reference (2.10.0) unstable; urgency=low

  * from Martin Michlmayr
    - update the "Applying to Become a New Maintainer" section, with
      review by Raphael Hertzog, closes: #133965
    - bugs closed in NMUs should uses 'closes' changelog entries,
      closes: #133951
    - developers are not required to subscribe to debian-private
      closes: #133955
    - some suggestions on places to use the proper term, Debian GNU/Linux,
      closes: #133953
    - fix some typos, closes: #133956
  * Adam Di Carlo:
    - frozen doesn't exist any more, just testing; note, however, that
      there is a way to upload to 'woody-proposed-updates' -- if I can
      find some description of that, I'll document it; closes: #133948
    - minor build tweaks
    - minor cosmetics
    - isolate a few more language-independent bits
  * from Chris Tillman
    - change /usr/doc to /usr/share/doc, and typo in debian/copyright,
      closes: #126924

 -- Adam Di Carlo <aph@debian.org>  Sun, 24 Feb 2002 14:46:46 -0500

developers-reference (2.9.0) unstable; urgency=low

  * Josip Rodin:
    - created a new subsection about uploading to stable, and elaborated
      about that subject
    - removed a stray sentence about stable from the paragraph about
      security uploads (which apply to all distributions equally)
    - replaced the nonexistent term "Security Manager" with "security officer"
    - uploading to stable and unstable is deprecated; updated the section
      about the experimental distribution; other fixes in the section
      talking about uploading to distributions
    - better organize some subsections in the section about package uploads
    - replaced some bogus <ftppath>s with <tt>s
    - noted how there is an upload queue on pandora, too
  * Antoine Hulin:
    - French translation updated
  * Adam Di Carlo:
    - normalize '--' as &mdash; for prettier output
    - integrate changes from James Troup, part of #102626
    - typo fix thanks to Mark Hodge

 -- Adam Di Carlo <aph@debian.org>  Sun, 21 Oct 2001 01:03:01 -0400

developers-reference (2.8.8) unstable; urgency=low

  * from Josip Rodin:
    - a few more strong words about sponsoring
    - started a	new chapter about the relationship between old and new
      developers

 -- Adam Di Carlo <aph@debian.org>  Fri, 20 Jul 2001 17:53:47 -0400

developers-reference (2.8.7) unstable; urgency=low

  * French updates
  * fix a typo in a link
  * dpkg-buildpackage -m<addr> flag was changed for -e<addr> when NMU'ing;
    update documentation accordingly
    closes: #101676
  * Matt Zimmerman fixes up some wording in the section talking about
    forwarding bugs upstream
    closes: #98312
  * provide proper l10n for SGML date entities; now we have &date-<LANG>
    entities which should be used
  * debian/rules: fixes for new debiandoc-sgml
  * debian/control: depend on debiandoc-sgml 1.1.48 or better

 -- Adam Di Carlo <aph@debian.org>  Thu, 21 Jun 2001 14:43:42 -0400

developers-reference (2.8.6) unstable; urgency=low

  * fix a typo, thanks to Antoine Hulin
  * French version: completely up-to-date now
  * Makefile: add a 'validate' target
  * prepare and ship "upstream" ChangeLog; move the Debian changelog to
    changelog.Debian.gz
  * all versions: change the email address to use when orphaning
    closes: #93727

 -- Adam Di Carlo <aph@debian.org>  Fri, 13 Apr 2001 03:32:08 -0400

developers-reference (2.8.5) unstable; urgency=low

  * expunge references to the Debian Packaging Manual, which is now in the
    Policy
  * Japanese version: also comment out some references packaging manual;
    this translation needs updating
  * deny request to shut down non-maintainer bug maintenance bug closure
    practices (closes: Bug#88623)
  * add some advice about U.S. citizens uploading to non-US
    (closes: Bug#89694)
  * debian/control: Build-Depends should have been Build-Depends-Indep
  * French version: First complete translation of the Debian developer's
    reference guide.  Much work done by Antoine Hulin. Reviewed by Nicolas
    Bertolissio.
  * Portuguese version: work is started by Carlos Laviola, nothing
    included yet, however

 -- Adam Di Carlo <aph@debian.org>  Sun,  8 Apr 2001 01:25:51 -0400

developers-reference (2.8.4) unstable; urgency=low

  * debian/control: remove reference to obsolete packaging-manual package
    (closes: Bug#86505)
  * debian/control: fill in the description a bit more
  * doc-base: index.html corrected to be index.en.html
    (closes: Bug#85933)
  * Makefile: clean is cleaner

 -- Adam Di Carlo <aph@debian.org>  Sun, 25 Feb 2001 12:47:06 -0500

developers-reference (2.8.3) unstable; urgency=low

  * build and provide French and Japanese versions
  * devolve build logic from debian/rules to top-level Makefile
  * developers-reference.jp.sgml: minor changes so it will build (is out
    of date)
  * debian/rules: stop making useless /usr/share/developers-reference dir

 -- Adam Di Carlo <aph@debian.org>  Mon, 22 Jan 2001 02:02:02 -0500

developers-reference (2.8.2) unstable; urgency=low

  * Josip Rodin:
    - fix typographic errors reported by David Martinez (closes: Bug#80740)
    - common.ent: upped the numbers a little bit, updated lintian reports URL
    - updated regarding va->klecker move, and www->people move, changed
      most mentions of dinstall to a generic term "archive maintenance
      software", removed full path to it because it is in PATH now,
      mentioned "dak" and "katie" (somewhat vaguely), changed week to
      month regarding FTP archive waiting time since that\'s more often
      the case, and changed weeks to hours regarding Maintainers file
      updates since that\'s also more often the case now, updated some
      URLs to entities, s/debian-doc/doc-debian/
    - replaced evil latin1-only quotation marks, replaced mentions of
      important severity (in RCB context) with serious severity, some
      details fixed
    - common.ent (1.10): fixed email-debian-user alias; updated
      sample-dist-dirtree (with more to come)
    - described testing; described package pools (this particular part
      required quite a bit of changes, and it might be a bit rough, but
      it's a start); described the frozen test cycles et al; some other
      smaller fixes
    - another update WRT sid/unstable/testing, from Colin Watson
      (closes: Bug#80896)
  * debian/control: add Recommends for debian-policy, packaging-manual
  * update copyright notice for 2001
  * fix for WNPP bug filing severities from David Schleef
  * clarify the status of the Developers's reference as "normative"
  * add a reference to debconf (closes: Bug#82413)

 -- Adam Di Carlo <aph@debian.org>  Sun, 21 Jan 2001 18:10:21 -0500

developers-reference (2.8.1) unstable; urgency=low

  * update WNPP instructions, based on patch from Marcelo E. Magallon
    (closes: Bug#69435)
  * spelling corrections, awkward grammar suggestions from Andreas Krueger
    (closes: Bug#72810)
  * debian/rules: remove some obsolete source-depends stuff

 -- Adam Di Carlo <aph@debian.org>  Sat,  4 Nov 2000 13:22:21 -0500

developers-reference (2.8.0) unstable; urgency=low

  * Almost all changes for this release are from Josip Rodin
    <joy@debian.org>. Thanks, Josip!

  * debian/control, postinst, prerm, rules: Policy 3.2.1 (closes:
    Bug#68929, Bug#70384)
  * fixed bug closing example (closes: Bug#71198)
  * update the perl regexp from current /usr/lib/dpkg/parsechangelog/debian
  * updated keyring/keyserver information (closes: Bug#67783)
  * updated new-maintainer stuff (closes: Bug#67841)
  * updated for master -> ftp-master move (closes: Bug#68369)
  * noted www.d.o is the right host for web pages, but all other machines
    could be used if necessary
  * reorder mentions of scp to come before FTP, as it is more secure;
    mention the rsync dupload method
  * reorder mentions of pandora <-> non-us, canonical name non-us is
    better
  * other small corrections
  * fixed orphaning/adopting instructions with regard to the new WNPP
  * common.ent: fix URLs for cvs.d.o, wnpp, Debian machines page,
    lists-archives, www.d.o BTS
  * common.ent: changed link for machines from devel/maintainer_contacts
    to the db.d.o CGI
  * Makefile: remove unnecessary subshell

  * Adam's change: update debian/copyright for new Policy, and put my name
    in there a bit with updated years; update doc-base file for FHS

 -- Adam Di Carlo <aph@debian.org>  Sun, 15 Oct 2000 03:25:21 -0400

developers-reference (2.7.2) frozen unstable; urgency=medium

  * I believe this should go into frozen because (a) it's only
    documentation, so it can't introduce RC bugs, and (b) it fixes an
    error which prevented it from building properly; however, whatever
    ftpmaster feels is best is fine
  *
  * include common.ent as well as version.ent
    (closes: Bug#52582, Bug#48926)
  * debian/rules: fix build error caused by newer debiandoc-sgml; remove
    constitution.en.html, since that is now located in the doc-debian
    package (closes: Bug#54778, Bug#42014); don't compress .pdf file
  *
  * All changes below from Raphael Hertzog <hertzog@debian.org>
  *
  * Sec. "Uploading to master" and "Uploading to pandora":
    explained dinstall -n (closes: Bug#45079)
  * Sec. "Picking a distribution": added reference to the debian-release
    team (closes: Bug#52906)
  * Sec. "Announcing package uploads": rewrote it to take care of the fact
    that dinstall is doing it automatically (closes: Bug#43877)
  * Sec. "Mailing lists": added a paragraph about debian-email
    (closes: Bug#40258)
  * Changed the "Maintaining Your Debian Information" into "Debian
    Developer's Duties" (closes: Bug#28908)
    - added a section about the LDAP database
    - added a section about the "on vacation" message
    - added a section about the coordination with upstream developers
      (closes: Bug#43878)
    - added a section about managing Release Critical bugs
    - added a section about Quality Assurance effort

 -- Adam Di Carlo <aph@debian.org>  Sun, 16 Apr 2000 23:24:33 -0400

developers-reference (2.7.1) unstable; urgency=low

  * Sec. "Registering as a Debian developer": we are transitioning away
    from non-free PGP -- remove allusions to non-free software such as
    PGPv2 or v5 insofar as possible; recommend use of DSS keys rather than
    RSA
  * Sec. "Maintaining Your Public Key": remove PGP-centric stuff
  * Sec. "When bugs are closed by new uploads": describe how to close bugs
    via a magic changelog entry (closes: Bug#43690)
  * Sec. "Generating the changes file": refer to Sec. "When bugs are
    closed by new uploads" for closing bugs via a changelog entry
  * developers-reference.sgml: re-enable RCS variables in CVS sources
  * debian/control,rules: dynamically generate the TOC in the package
    description from developers-reference.sgml

 -- Adam Di Carlo <aph@debian.org>  Sun, 12 Sep 1999 18:15:59 -0400

developers-reference (2.7.0) unstable; urgency=low

  * developers-reference.sgml: separated out language-independent elements
    into common.ent (not content changes); misc minor grammar changes
    throughout
  * doc-base: change section for *constitution* to Debian (not 'debian')
    (closes Bug#37392)
  * Sec. "Stable, unstable, and sometimes frozen": mention how old stable
    releases are available at archive.debian.org
  * Sec. "Uploading to pandora (non-us)" added, remove stale
    information about the old anonymous ftp area (closes Bug#39541);
    Sec. "Other Upload Queues" added about that upload queues, added
    samosa and master.debian.org.jp (closes Bug#37804)
  * Sec. "Yada": mention that yada might not be as robust as other package
    producing systems, at request of the author; Sec. "equivs" added
  * Sec. "Moving packages": at the request of Guy Maor, clarify that this
    procedure is for moving packages in sections (i.e., free, contrib)
    only
  * Sec. "Registering as a Debian developer": talk about RSA keys rather
    than PGP keys, since I think GPG can create/handle them now; mention
    that the official pkg maintainer address much match an ID on your key;
  * Sec. "Maintaining Your Public Key": beef up the warnings a bit; point
    to the PGP FAQ
  * Sec. "Mailing Lists, Servers, and Other Machines": clean up and
    clarify section; mention that all developers are expected to be
    subscribed to debian-private and debian-devel-announce
  * Sec. "Other Debian Machines": remove list of machines; point to
    http://www.debian.org/devel/machines instead
  * Sec. "Release code names": potato is 2.2
  * Sec. "Guidelines for Porter Uploads": talk about recompile only
    uploads and version numbers for this (i.e., foo_2.4-1.0.1), from a
    suggestion from James Troup
  * Sec. "buildd": mention andrea, and buildd.debian.org
  * Sec. "Removing packages": correct apt-cache usage
  * debain/rules: update standards to 3.0.1 -- since I'm not moving
    /usr/doc to /usr/share/doc yet, no changes were required except in the
    text here and there

 -- Adam Di Carlo <aph@debian.org>  Mon, 16 Aug 1999 23:29:45 -0400

developers-reference (2.6.8) unstable; urgency=low

  * when applying as a new user, the login name can be *eight* characters,
    not seven (thanks to Rafael Caetano dos Santos)

 -- Adam Di Carlo <aph@debian.org>  Fri, 21 May 1999 21:50:04 -0400

developers-reference (2.6.7) unstable; urgency=low

  * SGML'ish: normalize SGML elements, refill paragraphs (closes Bug#37987)
  * doc-base: change section to Debian -- hmm, this looks like a doc-base
    bug, really, but hey, who am I to refile bugs to another one of my own
    packages? (closes Bug#37392)
  * Ch. "Overview of Debian Maintainer Tools": new section for yada (um,
    someone who uses this should check my description), correct build ->
    debuild in the devscripts section (closes Bug#38053)

 -- Adam Di Carlo <aph@debian.org>  Fri, 21 May 1999 01:41:45 -0400

developers-reference (2.6.6) unstable; urgency=low

  * Sec. "The master server": note that problems on Debian ftp can be sent
    to ftpmaster@debian.org also
  * Secs. "Uploads via chiark" and "Uploads via erlangen": remove
    'cron-driven' (thanks Roman Hodek)
  * Sec. "Being Kind to Porters": typos corrected, note that binary-arch
    and binary-indep targets should work independently (thanks Roman
    Hodek)
  * Sec. "buildd": remove erroneous reference to debbuild, reorganize the
    section and correct typos (thank again Roman -- boy, this is the all
    Roman release)
  * debian/rules: re-enable letter-sized PDFs

 -- Adam Di Carlo <aph@debian.org>  Sun,  9 May 1999 01:17:29 -0400

developers-reference (2.6.5) unstable; urgency=low

  * Sec. "Architectures": correction on supported architecture in Linux
    2.2, from Job Bogan
  * Sec. "Experimental": other reasons to use or not use the experiment
    archive "section", from comments by Guy Maor
  * Sec. "Being Kind to Porters": replace x86 with i386 (closes Bug#36485)
  * debian/rules: date printing protected from local l10n (closes Bug#36891)
  * Ch. "Mailing Lists, Servers, and Other Machines": renamed chapter; add
    intro paragraph
  * Sec. "Debian Servers": new, for talking about the standard servers,
    with intro; demoted server sections under that
  * Sec. "The FTP servers": was empty, removed
  * Sec. "The master server": fill in more info and cross-refs on how to
    report problems
  * Sec. "The CVS server": add some more detail which should be included
    when requesting cvs areas; mention the cvsweb URL
  * Sec. "Other Debian Machines": new section, list the machines for which
    a normal developer may have access.

 -- Adam Di Carlo <aph@debian.org>  Tue,  4 May 1999 03:32:21 -0400

developers-reference (2.6.4) unstable; urgency=low

  * debian/rules: hack 'byhand' file entries to include Debian version
    number in it, so subsequent uploads of the package into Incoming don't
    step all over each other

 -- Adam Di Carlo <aph@debian.org>  Fri,  9 Apr 1999 20:04:04 -0400

developers-reference (2.6.3) unstable; urgency=low

  * correction from James Troup -- <keyring-maint> is indeed the correct
    address for PGP key updates

 -- Adam Di Carlo <aph@debian.org>  Sun,  4 Apr 1999 13:28:58 -0400

developers-reference (2.6.2) unstable; urgency=low

  * Sec. "fakeroot": libtricks is not replacing anything after all
  * developers-reference.sgml: use public declaration
  * BTW, if any maintainers of translated versions of this document would
    like to talk to me about folding your version into the
    developers-reference CVS area, please get in touch with me

 -- Adam Di Carlo <aph@debian.org>  Sun,  4 Apr 1999 04:42:29 -0400

developers-reference (2.6.1) unstable; urgency=low

  * include Debian constitution (closes Bug#30694)
  * Sec. "fakeroot": libtricks is replacing fakeroot, not libtool
  * Sec. "Maintaining Your Public Key" -- give email addresses as
    {pgp,gpg}-update@debian.org, at James Troup's request (note to Jameas,
    if you see this: /usr/doc/debian-keyring/README.gz talks about
    <keyring-maint> instead)
  * Ch. "Overview of Debian Maintainer Tools" -- add Sec. "debget"
  * developers-reference.sgml: minor typo correction from Tril
    <dem@tunes.org>
  * doc-base stuff: add abstract to developers-reference, new file for
    constitution
  * debian/rules: minor cleanup and consistency; build PDF, not PS file;
    ship PDF file;.text file now has .txt extension
  * debian/control: set priority to optional, matching archive

 -- Adam Di Carlo <aph@debian.org>  Sat,  3 Apr 1999 17:17:06 -0500

developers-reference (2.6.0) frozen unstable; urgency=low

  * would be nice to sneak this into slink; it's just documentation!
  * Ch. "Porting and Being Ported": porter information broken out into it's
    own chapter, Sec. "Guidelines for Porter Uploads" and "When to do a
    source NMU if you are a porter" moved to this chapter; porter tool
    descriptions such as 'quinn-diff' moved to this section.  Sec. "Being
    Kind to Porters" added, with tips for how to avoid making problems for
    porters.
  * Ch. "Non-Maintainer Uploads (NMUs)": update for the new chapter, and
    tighten up the language a bit
  * Sec. "Monitoring bugs": add a little cron job to get an 'index maint'
    of outstanding bugs (closes Bug#31259), loosen language a tiny bit
    w.r.t. non-maintainers or submitters closing bugs (closes Bug#30394)
  * Sec. "Scope of This Document": point out that this file is not
    official policy
  * Ch. "Handling Bugs": renamed from "Handling Bug Reports", incorporate
    some suggestions from James Troup, namely, don't mail from your root
    account, don't close bugs via control@bugs.debian.org; break out new
    sections, "Submitting Bugs" and "Responding to Bugs"
  * Ch. "Overview of Debian Maintainer Tools": remove attribution for
    package maintainers, since I can't keep up; add entries for fakeroot
    and devscripts
  * Ch. "Maintaining Your Debian Information": new chapter, quite small
    right now; it mentions keyring-maint@debian.org for key modification,
    warns against putting private keys on multi-user machines, and talks
    about how to depart Debian gracefully
  * typo correction from Christian Hudon (closes Bug#32052)
  * menu file removed, obsoleted by doc-base file
  * parameterize some often-changing values with SGML entities, update
    number of available packages
  * use new way of notating multiple copyrights
  * change <tt> elements to <file> where appropriate

 -- Adam Di Carlo <aph@debian.org>  Thu, 11 Feb 1999 02:53:55 -0500

developers-reference (2.5.0.5) unstable; urgency=low

  * add version.ent to docdir, needed to reconstruct from SGML
    (closes Bug#31034)

 -- Adam Di Carlo <aph@debian.org>  Tue, 29 Dec 1998 02:42:50 -0500

developers-reference (2.5.0.4) unstable; urgency=low

  * not officially released
  * more spelling corrections
  * s/ppc/powerpc/ (thanks, James Troup)

 -- Adam Di Carlo <aph@debian.org>  Fri, 18 Dec 1998 00:07:40 -0500

developers-reference (2.5.0.3) unstable; urgency=low

  * not officially released
  * Sec. "Removing a package from Incoming": tiny section added
  * some PGP-centricity removed
  * Sec. "Adopting a package": point out that hijacking packages is not ok
  * Ch. "Non-Maintainer Uploads (NMUs) and Porters": change 'NMU' to
    'source NMU', 'port' to 'binary NMU', shorten the window for porters a
    tad; fix spelling; stress that non-maintainer patches must be
    non-disruptive and that aesthetic issues are not suitable for fixing
    by non-maintainers; other fixes as suggested by interested parties

 -- Adam Di Carlo <aph@debian.org>  Wed, 25 Nov 1998 00:01:27 -0500

developers-reference (2.5.0.2) frozen unstable; urgency=low

  * not officially released
  * maintainer name change (but it's still me)
  * Ch. "Non-Maintainer Uploads (NMUs) and Porters":  new chapter
    discussing NMUs and porters; Section "Interim Releases" integrated out
    of existence.  New TOC for this section is:
         * 6 Non-Maintainer Uploads (NMUs) and Porters
            + 6.1 Who can do a port or an NMU
            + 6.2 When to do a port or an NMU
                 o 6.2.1 When to do an NMU if you are a porter
            + 6.3 How to do an NMU
                 o 6.3.1 NMU version numbering
                 o 6.3.2 NMUs must create a changelog entry
                 o 6.3.3 NMUs must send patches, if any, to the BTS
                 o 6.3.4 Building the NMU
            + 6.4 Guidelines for Porters

  * Sec. "Maintainer changes": renamed to "Adopting a package" and moved
    to Chapter "Moving, Removing, Renaming, Adopting, and Orphaning
    Packages".
  * Sec. "Reporting lots of bugs at once": more forcefully deprecate this
    practice
  * Sec. "Adopting a package": mention that the BTS maintainer update can
    take a couple of weeks
  * Sec. "Overview of Debian Maintainer Tools": give credit where credit
    is due and attribute current maintainers; add `apt'; add `quinn-diff';
    add mention of as yet unreleased 'buildd' package, since I'm so
    excited about it and can't wait
  * Sec. "Removing packages": talk about how apt-cache can be used to look
    at reverse depends, a good step to take prior to removing a package
    from the archive
  * show *full* TOC, including sect2
  * of course the obligatory typo, grammar, and spelling corrections

  * Makefile: small changes to accommodate DDP autobuild
  * debian/dirs: obsolete, removed
  * debian/rules: use changelog date for SGML timestamping, not current date

 -- Adam Di Carlo <aph@debian.org>  Fri, 20 Nov 1998 12:27:53 -0500

developers-reference (2.5.0) frozen unstable; urgency=low

  * move to 3-level version number:
    top-level version number probably won't change for a while, it is the
    "major", the second-level number means significant content changes,
    and the third-level change means corrections and minor improvements.
    Since this version has significant content changes, we are now 2.5.0.
    Since I'm going to put porter instructions in the next major rev, that
    will be 2.6.0...

  * use new <package> tag where appropriate (Ardo, you rock)
  * replace 'm86k' with 'm68k'
  * rename 'Whirlwind Tour of ...' section to 'Overview of ...' (suggested
    by James Troup)
  * typos and "red-pen" corrections, fix cosmetic problems in PostScript
    version
  * remove the one case I use an URL fragment identifier, since
    debiandoc-sgml doesn't like it (bug filed against debiandoc-sgml)
  * debian/rules: cosmetic cleanups, loosen check for root
  * debian/rules: build PostScript version during build, since it's nice
    to have all my debiandoc2* scripts together
  * debian/control: policy compliant to 2.5.0

  * advise against uploading when a package has lintian problems of
    severity 'E'
  * "Mailing Lists and Servers":
    - "The master server": mention how master is the home of the BTS;
      mention how users need to take care with their accounts on master
    - "The WWW servers": fill in www.debian.org, first pass, and discuss
      how to put up your own web pages on va or master
    - "The CVS server": new section added
    - "Mirrors of Debian servers": new section added; point to info about
       how to mirror
  * "Applying to Become a Maintainer": do not advise resending initial
    application; instead, simply mail a followup asking new maintainers
    whether they go the initial application (closes Bug #28739); mention
    that calls usually come in the evening; mention that if you use PGP
    v5, you need to generate an RSA key (right?); clarify our intentions
    with respect to GPG.
  * "Release code names": Debian 2.2 is 'potato'
  * "Distribution directories": give concrete examples, hopefully making
    it clearer where to look in Debian archives for specific stuff;
    mention that old distributions are moved to archive servers (is there
    a canonical location?)
  * "The override file": new section, added under "Notification that a new
    package has been installed"; fill it out quite a bit
  * "Uploading to *": reiterate thrice not to upload export
    controlled-software to master, or the European queues on erlangen and
    chiark
  * "Picking a distribution": section broken out from "Generating the
    changes file"
  * "Uploading to frozen": new section, almost straight from Brian White
    (hope you don't mind!) -- isn't that topical?
  * "Interim releases": if you NMU a new upstream version (0.1), run
    'dpkg-buildpackage -sa'

 -- Adam P. Harris <aph@debian.org>  Thu, 12 Nov 1998 00:03:43 -0500

developers-reference (2.4.1.5) unstable; urgency=low

  * Fix instructions for new maintainers, incorporating the actual text
    sent to prospective new maintainers.  Improve this text a bit for
    readability, coverage, and organization.  Significant changes were
    patched back to the new-maintainers group, if they care to use
    them. (closes Bug#26948)
  * Add an introductory "Scope" chapter which helps delineate what should
    and should not be included in this Reference.
  * Add a new chapter, "Whirlwind Tour of Debian Maintainer Tools".  Let
    me know what useful tools I forgot -- remember, Debian-specific
    maintainer tools only!
  * Add discussion of the "experimental" distribution, culled from an email
    from Guy Maor on debian-devel.
  * Incorporated suggestions from Branden Robinson (closes Bug#27211).
  * Point to doc-debian's mailing list instructions where relevant.
  * Made references to online documentation into URLs where possible.
  * Little corrections here and there.
  * add a Makefile for use in the DDP manual hierarchy
  * debian/rules: comment out my 'source-depends' hack; it's just slowing
    things down

 -- Adam P. Harris <aph@debian.org>  Thu,  1 Oct 1998 03:42:43 -0400

developers-reference (2.4.1.4) unstable; urgency=low

  * fill in Section "The master server" a bit; other servers to follow
  * in Section "Distribution directories", mention that distributions
    are always in 'dists' subdir of the Debian archive; talk about
    'proposed-updates'
  * in Section "Release code names", talk about 'sid' a bit
  * in Section "Interim releases", talk about how non-maintainers should
    use the BTS, and bug severity "fixed" (closes Bug#17524)
  * in Section "Generating the changes file", talk about how to set the
    distribution in the debian/changelog file (i.e., "frozen unstable")
  * add a new Section "Checking the package prior to upload" to Section
    "Uploading a package", mentioning lintian and other tests one should
    do prior to uploading
  * add new Section "Notification that a new package has been installed"
    in Section "Uploading a package", talking about dinstall and the
    override file a bit
  * add new Sections "Moving packages", "Removing packages", "Replacing or
    renaming packages", and "Orphaning a package" (closes Bug#26650)
  * add new Section "Bugs in your packages", talking about maintainer
    duties with respect to bugs
  * add new Section "Lintian reports" under "Handling bugs reports",
    talking about how maintainers should check their packages with lintian
    every now and then, alternatively pointing them to the lintian web
    pages
  * clarify, a bit, the use of "section" and "subsection", bringing it
    into line with the usage in the Policy Manual and Packaging Manual
  * grammar and markup changes throughout
  * debian/rules: added a crude source-depends rule, which renders more
    explicit what is used to build this package

 -- Adam P. Harris <aph@debian.org>  Mon, 21 Sep 1998 00:51:46 -0400

developers-reference (2.4.1.3) unstable; urgency=low

  * new maintainer
  * version number and date are automatically populated now
  * changed doc-base section to "debian"
  * debian/rules: better abstraction and organization
  * reformat SGML like I happen to like it
  * utilize the new URL tag
  * build PostScript on letter size, I hear that's better for A4 and US
    letter printing

 -- Adam P. Harris <aph@debian.org>  Thu, 16 Jul 1998 00:52:35 -0400

developers-reference (2.4.1.2) frozen unstable; urgency=low

  * non-maintainer release
  * rebuilt since HTML versions of Chapters 1 and 2 were truncated
    (important bug, no number yet, bugs.debian.org isn't working;
    regardless, this should go in hamm because a broken developers
    reference won't win us many friends in hamm, and after all, it's just
    text, it can't hurt you.)
  * no content changes, except that the version number in the SGML file
    reflect this package's version number
  * debian/rule: clean is cleaner now

 -- Adam P. Harris <aph@debian.org>  Tue, 16 Jun 1998 01:35:39 -0400

developers-reference (2.4.1.1) frozen unstable; urgency=low

  * Orphaned package

 -- Christian Schwarz <schwarz@debian.org>  Thu, 14 May 1998 21:56:36 +0200

developers-reference (2.4.1.0) frozen unstable; urgency=low

  * New version numbering scheme:

    - The version numbers are independent of dpkg now, but all policy
      manuals (the Debian Policy Manual, the Debian Packaging Manual, and
      the Debian Developer's Reference) share the same version numbering
      scheme.

    - The first three digits of the version number specify the
      `Standards-Version.' This number is incremented with each policy
      change. The fourth digit represents the `patch-level,' which may
      differ between the manuals.

      If only the patch-level digit is incremented, no changes in policy
      have been made, except bug fixes and clarifications. Packages only
      have to specify the first three digits of the version number in the
      `Standards-Version' field of their source packages.

  * Uploaded to frozen and unstable. This is a documentation-only
    package and the changes to the manual are relevant for hamm.

  * No changes to the Developer's Reference

 -- Christian Schwarz <schwarz@debian.org>  Mon, 13 Apr 1998 17:54:43 +0200

developers-reference (0.5) unstable; urgency=low

  * Changes to the Developer's Reference:

    - Changed section 1.2 Registering as a Debian developer:
      + signatures from formal certification service are _NOT_ accepted
        any more
      + images of ID documents have to be PGP or RSA signed
      (as requested by James Troup)

    - Use current date instead of <date> in manual

  * Updated FSF's address (reported by Lintian)

 -- Christian Schwarz <schwarz@debian.org>  Sat,  7 Mar 1998 13:52:15 +0100

developers-reference (0.4) unstable; urgency=low

  * Changes to the Developer's Reference:

    - Renamed chapter 4 into `Package uploads'

    - New section 4.2.5 Uploading to the non-us server

    - Changed section 4.4 Interim releases:
      + non-maintainer releases should not close bugs
      + normal maintainer must at least read the patch provided with
        the non-maintainer release

    - New chapter 5 Handling bug reports:
      + when reporting more then 10 bugs on the same topic, a message
        has to be sent to debian-devel and the `maintonly' address
        should be used

    - Lots of typos fixed

  * Compressed SGML source code

  * Added support for doc-base to register the Developer's Reference
    to the online documentation systems dwww and dhelp

  * Upgraded to standards version 2.4.0.0 (no changes)

 -- Christian Schwarz <schwarz@debian.org>  Fri, 30 Jan 1998 21:58:34 +0100

developers-reference (0.3) unstable; urgency=low

  * Put lost sections from Policy Manual 2.1.3.3 back in:
      - Generating the changes file (for uploads)
      - Announcing package uploads
  * New section about Debian Mentors
  * debian/rules: Don't use debstd any more
  * debian/rules: Compress changelog file (fixes:#15441)
  * Fixed link to WNPP list (fixes:#16201)
  * Added menu entry (fixes:#15708)

 -- Christian Schwarz <schwarz@debian.org>  Wed, 24 Dec 1997 13:54:33 +0100

developers-reference (0.2) unstable; urgency=low

  * New chapter about `The Debian Archive' describing the structure
    of our FTP server and the development process
  * Added note that new maintainers have to read the Social Contract
    and have to know where to find the Policy and Packaging Manuals
  * PGP key ring is not distributed via dpkg but in doc/ of the FTP
    server
  * Added note that cross posting between Debian lists is depreciated
  * New list of advantages why new packages should be discussed on
    debian-devel before they are uploaded
  * Added section about how packages are uploaded
  * Added note that the Security Managers may do interim releases without
    contacting the maintainer
  * Removed chapter about bug tracking system (will be included in
    a new manual released soon)
  * Some minor changes
  * Include SGML source in package
  * Don't use `2-up' style for PostScript version
  * Upgraded to Standards 2.3.0.1

 -- Christian Schwarz <schwarz@debian.org>  Sun,  2 Nov 1997 20:53:26 +0100

developers-reference (0.1) unstable; urgency=low

  * Initial Release.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 8 Jul 1997 00:19:49 +0200
